summaryrefslogtreecommitdiffstats
path: root/target
diff options
context:
space:
mode:
Diffstat (limited to 'target')
-rw-r--r--target/Config.in23
-rw-r--r--target/Config.in.arch35
-rw-r--r--target/Makefile.in3
-rw-r--r--target/device/Config.in1
-rw-r--r--target/device/KwikByte/kb9202/kb9202-linux-2.6.20.config1218
-rw-r--r--target/device/xtensa/Config.in21
-rw-r--r--target/device/xtensa/Makefile.in17
-rw-r--r--target/device/xtensa/device_table.diff10
-rw-r--r--target/device/xtensa/skeleton-patch/etc/inittab47
-rw-r--r--target/hurd/Config.in11
-rw-r--r--target/hurd/Makefile.in38
-rw-r--r--target/iso9660/Config.in4
-rw-r--r--target/iso9660/iso9660.mk2
-rw-r--r--target/linux/Config.in.advanced45
-rw-r--r--target/linux/Config.in.experimental345
-rw-r--r--target/linux/Config.in.versions32
-rw-r--r--target/linux/Makefile.in3
-rw-r--r--target/linux/Makefile.in.advanced3
-rw-r--r--target/xtensa/.gitignore1
-rw-r--r--target/xtensa/Makefile.in1
-rw-r--r--target/xtensa/defconfig133
-rw-r--r--target/xtensa/patch.in33
-rw-r--r--target/xtensa/setup-config57
-rw-r--r--target/xtensa/uClibc-0.9.30.config245
-rw-r--r--target/xtensa/uClibc.config190
-rw-r--r--target/xtensa/xt-buildroot-overlay-install488
26 files changed, 1326 insertions, 1680 deletions
diff --git a/target/Config.in b/target/Config.in
index 87abbe666..ab46dcb16 100644
--- a/target/Config.in
+++ b/target/Config.in
@@ -12,6 +12,21 @@ config BR2_ROOTFS_SUFFIX
help
Add a custom string to the end of the root file system name.
+config BR2_ROOTFS_POST_BUILD_SCRIPT
+ string "Custom script to run before packing files"
+ default ""
+ help
+ Specify a script to be run after the build has finished and before
+ the BR2 starts packing the files into selected packages.
+
+ This gives users the oportunity to do board-specific cleanups,
+ add-ons and the like, so the generated files can be used directly
+ without further processing.
+
+ The script is called with the target directory name as first and
+ only argument. Make sure the exit code of that script is 0,
+ otherwise make will stop after calling it.
+
comment "filesystem for target device"
source "target/cramfs/Config.in"
@@ -74,10 +89,6 @@ config BR2_KERNEL_LINUX
endif
-config BR2_KERNEL_HURD
- bool "hurd"
- help
- GNU/Hurd kernel
endchoice
config BR2_PACKAGE_LINUX
@@ -85,11 +96,7 @@ config BR2_PACKAGE_LINUX
if BR2_PACKAGE_LINUX
source "target/linux/Config.in"
-#source "target/linux/Config.in.experimental"
source "target/linux/Config.in.advanced"
endif
-if BR2_KERNEL_HURD
-source "target/hurd/Config.in"
-endif
endmenu
diff --git a/target/Config.in.arch b/target/Config.in.arch
index 611210e87..e63fc027a 100644
--- a/target/Config.in.arch
+++ b/target/Config.in.arch
@@ -43,6 +43,8 @@ config BR2_sparc64
bool "sparc64"
config BR2_x86_64
bool "x86_64"
+config BR2_xtensa
+ bool "xtensa"
endchoice
#
@@ -396,6 +398,38 @@ endchoice
choice
prompt "Target Architecture Variant"
+ depends on BR2_xtensa
+ default BR2_xtensa_dc232b
+ help
+ Specific CPU variant to use
+
+config BR2_xtensa_custom
+ bool "Custom Xtensa processor configuration"
+config BR2_xtensa_dc232a
+ bool "dc232a - Diamond 232L Standard Core Rev.A (LE)"
+config BR2_xtensa_dc232b
+ bool "dc232b - Diamond 232L Standard Core Rev.B (LE)"
+#config BR2_xtensa_s5000
+# bool "s5000 - Stretch S5000"
+endchoice
+
+config BR2_xtensa_custom_name
+ string "Custom Xtensa processor configuration name"
+ depends on BR2_xtensa_custom
+ default ""
+ help
+ Name given to a custom Xtensa processor configuration.
+ This is used to select the correct overlay.
+
+config BR2_xtensa_core_name
+ string
+ default BR2_xtensa_custom_name if BR2_xtensa_custom
+ default "dc232a" if BR2_xtensa_dc232a
+ default "dc232b" if BR2_xtensa_dc232b
+# default "s5000" if BR2_xtensa_s5000
+
+choice
+ prompt "Target Architecture Variant"
depends on BR2_powerpc
default BR2_generic_powerpc
help
@@ -496,6 +530,7 @@ config BR2_ARCH
default "x86_64" if BR2_x86_64_opteron
default "x86_64" if BR2_x86_64_opteron_sse3
default "x86_64" if BR2_x86_64_barcelona
+ default "xtensa" if BR2_xtensa
config BR2_ENDIAN
diff --git a/target/Makefile.in b/target/Makefile.in
index b1450413e..a835353e4 100644
--- a/target/Makefile.in
+++ b/target/Makefile.in
@@ -62,6 +62,7 @@ include target/generic/Makefile.in
include target/device/Makefile.in
include target/x86/Makefile.in
include target/powerpc/Makefile.in
+include target/xtensa/Makefile.in
ifeq ($(BR2_TARGET_UBOOT),y)
include target/u-boot/Makefile.in
@@ -83,5 +84,3 @@ include target/linux/Makefile.in.advanced
endif
include target/device/Makefile.in.linux
-
-include target/hurd/Makefile.in
diff --git a/target/device/Config.in b/target/device/Config.in
index 50d011fe8..ca569709b 100644
--- a/target/device/Config.in
+++ b/target/device/Config.in
@@ -10,6 +10,7 @@ source "target/device/Atmel/Config.in"
source "target/device/KwikByte/Config.in"
source "target/device/valka/Config.in"
source "target/device/x86/Config.in"
+source "target/device/xtensa/Config.in"
# This must be last
source "target/generic/Config.in"
diff --git a/target/device/KwikByte/kb9202/kb9202-linux-2.6.20.config b/target/device/KwikByte/kb9202/kb9202-linux-2.6.20.config
deleted file mode 100644
index fbe77fd64..000000000
--- a/target/device/KwikByte/kb9202/kb9202-linux-2.6.20.config
+++ /dev/null
@@ -1,1218 +0,0 @@
-#
-# Automatically generated make config: don't edit
-# Linux kernel version: 2.6.20
-# Fri Feb 23 16:21:01 2007
-#
-CONFIG_ARM=y
-# CONFIG_GENERIC_TIME is not set
-CONFIG_MMU=y
-CONFIG_GENERIC_HARDIRQS=y
-CONFIG_TRACE_IRQFLAGS_SUPPORT=y
-CONFIG_HARDIRQS_SW_RESEND=y
-CONFIG_GENERIC_IRQ_PROBE=y
-CONFIG_RWSEM_GENERIC_SPINLOCK=y
-# CONFIG_ARCH_HAS_ILOG2_U32 is not set
-# CONFIG_ARCH_HAS_ILOG2_U64 is not set
-CONFIG_GENERIC_HWEIGHT=y
-CONFIG_GENERIC_CALIBRATE_DELAY=y
-CONFIG_VECTORS_BASE=0xffff0000
-CONFIG_DEFCONFIG_LIST="/lib/modules/$UNAME_RELEASE/.config"
-
-#
-# Code maturity level options
-#
-CONFIG_EXPERIMENTAL=y
-CONFIG_BROKEN_ON_SMP=y
-CONFIG_INIT_ENV_ARG_LIMIT=32
-
-#
-# General setup
-#
-CONFIG_LOCALVERSION=""
-CONFIG_LOCALVERSION_AUTO=y
-CONFIG_SWAP=y
-CONFIG_SYSVIPC=y
-# CONFIG_IPC_NS is not set
-CONFIG_POSIX_MQUEUE=y
-CONFIG_BSD_PROCESS_ACCT=y
-# CONFIG_BSD_PROCESS_ACCT_V3 is not set
-# CONFIG_TASKSTATS is not set
-# CONFIG_UTS_NS is not set
-CONFIG_AUDIT=y
-CONFIG_IKCONFIG=y
-CONFIG_IKCONFIG_PROC=y
-CONFIG_SYSFS_DEPRECATED=y
-# CONFIG_RELAY is not set
-CONFIG_INITRAMFS_SOURCE=""
-# CONFIG_CC_OPTIMIZE_FOR_SIZE is not set
-CONFIG_SYSCTL=y
-# CONFIG_EMBEDDED is not set
-CONFIG_UID16=y
-CONFIG_SYSCTL_SYSCALL=y
-CONFIG_KALLSYMS=y
-# CONFIG_KALLSYMS_ALL is not set
-CONFIG_KALLSYMS_EXTRA_PASS=y
-CONFIG_HOTPLUG=y
-CONFIG_PRINTK=y
-CONFIG_BUG=y
-CONFIG_ELF_CORE=y
-CONFIG_BASE_FULL=y
-CONFIG_FUTEX=y
-CONFIG_EPOLL=y
-CONFIG_SHMEM=y
-CONFIG_SLAB=y
-CONFIG_VM_EVENT_COUNTERS=y
-CONFIG_RT_MUTEXES=y
-# CONFIG_TINY_SHMEM is not set
-CONFIG_BASE_SMALL=0
-# CONFIG_SLOB is not set
-
-#
-# Loadable module support
-#
-CONFIG_MODULES=y
-CONFIG_MODULE_UNLOAD=y
-# CONFIG_MODULE_FORCE_UNLOAD is not set
-CONFIG_MODVERSIONS=y
-CONFIG_MODULE_SRCVERSION_ALL=y
-CONFIG_KMOD=y
-
-#
-# Block layer
-#
-CONFIG_BLOCK=y
-CONFIG_LBD=y
-# CONFIG_BLK_DEV_IO_TRACE is not set
-# CONFIG_LSF is not set
-
-#
-# IO Schedulers
-#
-CONFIG_IOSCHED_NOOP=y
-CONFIG_IOSCHED_AS=y
-CONFIG_IOSCHED_DEADLINE=y
-CONFIG_IOSCHED_CFQ=y
-# CONFIG_DEFAULT_AS is not set
-# CONFIG_DEFAULT_DEADLINE is not set
-CONFIG_DEFAULT_CFQ=y
-# CONFIG_DEFAULT_NOOP is not set
-CONFIG_DEFAULT_IOSCHED="cfq"
-
-#
-# System Type
-#
-# CONFIG_ARCH_AAEC2000 is not set
-# CONFIG_ARCH_INTEGRATOR is not set
-# CONFIG_ARCH_REALVIEW is not set
-# CONFIG_ARCH_VERSATILE is not set
-CONFIG_ARCH_AT91=y
-# CONFIG_ARCH_CLPS7500 is not set
-# CONFIG_ARCH_CLPS711X is not set
-# CONFIG_ARCH_CO285 is not set
-# CONFIG_ARCH_EBSA110 is not set
-# CONFIG_ARCH_EP93XX is not set
-# CONFIG_ARCH_FOOTBRIDGE is not set
-# CONFIG_ARCH_NETX is not set
-# CONFIG_ARCH_H720X is not set
-# CONFIG_ARCH_IMX is not set
-# CONFIG_ARCH_IOP32X is not set
-# CONFIG_ARCH_IOP33X is not set
-# CONFIG_ARCH_IOP13XX is not set
-# CONFIG_ARCH_IXP4XX is not set
-# CONFIG_ARCH_IXP2000 is not set
-# CONFIG_ARCH_IXP23XX is not set
-# CONFIG_ARCH_L7200 is not set
-# CONFIG_ARCH_PNX4008 is not set
-# CONFIG_ARCH_PXA is not set
-# CONFIG_ARCH_RPC is not set
-# CONFIG_ARCH_SA1100 is not set
-# CONFIG_ARCH_S3C2410 is not set
-# CONFIG_ARCH_SHARK is not set
-# CONFIG_ARCH_LH7A40X is not set
-# CONFIG_ARCH_OMAP is not set
-
-#
-# Atmel AT91 System-on-Chip
-#
-CONFIG_ARCH_AT91RM9200=y
-# CONFIG_ARCH_AT91SAM9260 is not set
-# CONFIG_ARCH_AT91SAM9261 is not set
-# CONFIG_ARCH_AT91SAM9263 is not set
-
-#
-# AT91RM9200 Board Type
-#
-# CONFIG_MACH_ONEARM is not set
-# CONFIG_ARCH_AT91RM9200DK is not set
-# CONFIG_MACH_AT91RM9200EK is not set
-# CONFIG_MACH_CSB337 is not set
-# CONFIG_MACH_CSB637 is not set
-# CONFIG_MACH_CARMEVA is not set
-# CONFIG_MACH_ATEB9200 is not set
-CONFIG_MACH_KB9200=y
-# CONFIG_MACH_KAFA is not set
-
-#
-# AT91 Board Options
-#
-
-#
-# AT91 Feature Selections
-#
-# CONFIG_AT91_PROGRAMMABLE_CLOCKS is not set
-
-#
-# Processor Type
-#
-CONFIG_CPU_32=y
-CONFIG_CPU_ARM920T=y
-CONFIG_CPU_32v4T=y
-CONFIG_CPU_ABRT_EV4T=y
-CONFIG_CPU_CACHE_V4WT=y
-CONFIG_CPU_CACHE_VIVT=y
-CONFIG_CPU_COPY_V4WB=y
-CONFIG_CPU_TLB_V4WBI=y
-CONFIG_CPU_CP15=y
-CONFIG_CPU_CP15_MMU=y
-
-#
-# Processor Features
-#
-CONFIG_ARM_THUMB=y
-# CONFIG_CPU_ICACHE_DISABLE is not set
-# CONFIG_CPU_DCACHE_DISABLE is not set
-# CONFIG_CPU_DCACHE_WRITETHROUGH is not set
-
-#
-# Bus support
-#
-
-#
-# PCCARD (PCMCIA/CardBus) support
-#
-CONFIG_PCCARD=m
-# CONFIG_PCMCIA_DEBUG is not set
-CONFIG_PCMCIA=m
-CONFIG_PCMCIA_LOAD_CIS=y
-CONFIG_PCMCIA_IOCTL=y
-
-#
-# PC-card bridges
-#
-# CONFIG_AT91_CF is not set
-
-#
-# Kernel Features
-#
-# CONFIG_PREEMPT is not set
-# CONFIG_NO_IDLE_HZ is not set
-CONFIG_HZ=100
-# CONFIG_AEABI is not set
-# CONFIG_ARCH_DISCONTIGMEM_ENABLE is not set
-CONFIG_SELECT_MEMORY_MODEL=y
-CONFIG_FLATMEM_MANUAL=y
-# CONFIG_DISCONTIGMEM_MANUAL is not set
-# CONFIG_SPARSEMEM_MANUAL is not set
-CONFIG_FLATMEM=y
-CONFIG_FLAT_NODE_MEM_MAP=y
-# CONFIG_SPARSEMEM_STATIC is not set
-CONFIG_SPLIT_PTLOCK_CPUS=4096
-# CONFIG_RESOURCES_64BIT is not set
-# CONFIG_LEDS is not set
-CONFIG_ALIGNMENT_TRAP=y
-
-#
-# Boot options
-#
-CONFIG_ZBOOT_ROM_TEXT=0x10000000
-CONFIG_ZBOOT_ROM_BSS=0x20040000
-# CONFIG_ZBOOT_ROM is not set
-CONFIG_CMDLINE="noinitrd root=/dev/mtdblock0 rootfstype=jffs2 mem=64M"
-# CONFIG_XIP_KERNEL is not set
-
-#
-# Floating point emulation
-#
-
-#
-# At least one emulation must be selected
-#
-CONFIG_FPE_NWFPE=y
-# CONFIG_FPE_NWFPE_XP is not set
-# CONFIG_FPE_FASTFPE is not set
-
-#
-# Userspace binary formats
-#
-CONFIG_BINFMT_ELF=y
-CONFIG_BINFMT_AOUT=y
-CONFIG_BINFMT_MISC=y
-# CONFIG_ARTHUR is not set
-
-#
-# Power management options
-#
-# CONFIG_PM is not set
-# CONFIG_APM is not set
-
-#
-# Networking
-#
-CONFIG_NET=y
-
-#
-# Networking options
-#
-# CONFIG_NETDEBUG is not set
-CONFIG_PACKET=y
-# CONFIG_PACKET_MMAP is not set
-CONFIG_UNIX=y
-# CONFIG_NET_KEY is not set
-CONFIG_INET=y
-CONFIG_IP_MULTICAST=y
-# CONFIG_IP_ADVANCED_ROUTER is not set
-CONFIG_IP_FIB_HASH=y
-CONFIG_IP_PNP=y
-# CONFIG_IP_PNP_DHCP is not set
-# CONFIG_IP_PNP_BOOTP is not set
-# CONFIG_IP_PNP_RARP is not set
-# CONFIG_NET_IPIP is not set
-# CONFIG_NET_IPGRE is not set
-# CONFIG_IP_MROUTE is not set
-# CONFIG_ARPD is not set
-# CONFIG_SYN_COOKIES is not set
-# CONFIG_INET_AH is not set
-# CONFIG_INET_ESP is not set
-# CONFIG_INET_IPCOMP is not set
-# CONFIG_INET_XFRM_TUNNEL is not set
-# CONFIG_INET_TUNNEL is not set
-# CONFIG_INET_XFRM_MODE_TRANSPORT is not set
-# CONFIG_INET_XFRM_MODE_TUNNEL is not set
-# CONFIG_INET_XFRM_MODE_BEET is not set
-# CONFIG_INET_DIAG is not set
-# CONFIG_TCP_CONG_ADVANCED is not set
-CONFIG_TCP_CONG_CUBIC=y
-CONFIG_DEFAULT_TCP_CONG="cubic"
-# CONFIG_TCP_MD5SIG is not set
-# CONFIG_IPV6 is not set
-# CONFIG_INET6_XFRM_TUNNEL is not set
-# CONFIG_INET6_TUNNEL is not set
-# CONFIG_NETWORK_SECMARK is not set
-# CONFIG_NETFILTER is not set
-
-#
-# DCCP Configuration (EXPERIMENTAL)
-#
-# CONFIG_IP_DCCP is not set
-
-#
-# SCTP Configuration (EXPERIMENTAL)
-#
-CONFIG_IP_SCTP=m
-# CONFIG_SCTP_DBG_MSG is not set
-# CONFIG_SCTP_DBG_OBJCNT is not set
-# CONFIG_SCTP_HMAC_NONE is not set
-# CONFIG_SCTP_HMAC_SHA1 is not set
-CONFIG_SCTP_HMAC_MD5=y
-
-#
-# TIPC Configuration (EXPERIMENTAL)
-#
-# CONFIG_TIPC is not set
-# CONFIG_ATM is not set
-# CONFIG_BRIDGE is not set
-# CONFIG_VLAN_8021Q is not set
-# CONFIG_DECNET is not set
-# CONFIG_LLC2 is not set
-# CONFIG_IPX is not set
-# CONFIG_ATALK is not set
-# CONFIG_X25 is not set
-# CONFIG_LAPB is not set
-# CONFIG_ECONET is not set
-# CONFIG_WAN_ROUTER is not set
-
-#
-# QoS and/or fair queueing
-#
-# CONFIG_NET_SCHED is not set
-
-#
-# Network testing
-#
-# CONFIG_NET_PKTGEN is not set
-# CONFIG_HAMRADIO is not set
-# CONFIG_IRDA is not set
-# CONFIG_BT is not set
-# CONFIG_IEEE80211 is not set
-
-#
-# Device Drivers
-#
-
-#
-# Generic Driver Options
-#
-CONFIG_STANDALONE=y
-CONFIG_PREVENT_FIRMWARE_BUILD=y
-CONFIG_FW_LOADER=y
-# CONFIG_DEBUG_DRIVER is not set
-# CONFIG_SYS_HYPERVISOR is not set
-
-#
-# Connector - unified userspace <-> kernelspace linker
-#
-# CONFIG_CONNECTOR is not set
-
-#
-# Memory Technology Devices (MTD)
-#
-CONFIG_MTD=y
-# CONFIG_MTD_DEBUG is not set
-CONFIG_MTD_CONCAT=y
-CONFIG_MTD_PARTITIONS=y
-# CONFIG_MTD_REDBOOT_PARTS is not set
-CONFIG_MTD_CMDLINE_PARTS=y
-# CONFIG_MTD_AFS_PARTS is not set
-
-#
-# User Modules And Translation Layers
-#
-CONFIG_MTD_CHAR=y
-CONFIG_MTD_BLKDEVS=y
-CONFIG_MTD_BLOCK=y
-# CONFIG_FTL is not set
-# CONFIG_NFTL is not set
-# CONFIG_INFTL is not set
-# CONFIG_RFD_FTL is not set
-# CONFIG_SSFDC is not set
-
-#
-# RAM/ROM/Flash chip drivers
-#
-# CONFIG_MTD_CFI is not set
-# CONFIG_MTD_JEDECPROBE is not set
-CONFIG_MTD_MAP_BANK_WIDTH_1=y
-CONFIG_MTD_MAP_BANK_WIDTH_2=y
-CONFIG_MTD_MAP_BANK_WIDTH_4=y
-# CONFIG_MTD_MAP_BANK_WIDTH_8 is not set
-# CONFIG_MTD_MAP_BANK_WIDTH_16 is not set
-# CONFIG_MTD_MAP_BANK_WIDTH_32 is not set
-CONFIG_MTD_CFI_I1=y
-CONFIG_MTD_CFI_I2=y
-# CONFIG_MTD_CFI_I4 is not set
-# CONFIG_MTD_CFI_I8 is not set
-# CONFIG_MTD_RAM is not set
-# CONFIG_MTD_ROM is not set
-# CONFIG_MTD_ABSENT is not set
-# CONFIG_MTD_OBSOLETE_CHIPS is not set
-
-#
-# Mapping drivers for chip access
-#
-CONFIG_MTD_COMPLEX_MAPPINGS=y
-# CONFIG_MTD_PLATRAM is not set
-
-#
-# Self-contained MTD device drivers
-#
-# CONFIG_MTD_SLRAM is not set
-# CONFIG_MTD_PHRAM is not set
-# CONFIG_MTD_MTDRAM is not set
-# CONFIG_MTD_BLOCK2MTD is not set
-
-#
-# Disk-On-Chip Device Drivers
-#
-# CONFIG_MTD_DOC2000 is not set
-# CONFIG_MTD_DOC2001 is not set
-# CONFIG_MTD_DOC2001PLUS is not set
-
-#
-# NAND Flash Device Drivers
-#
-CONFIG_MTD_NAND=y
-# CONFIG_MTD_NAND_VERIFY_WRITE is not set
-# CONFIG_MTD_NAND_ECC_SMC is not set
-CONFIG_MTD_NAND_IDS=y
-# CONFIG_MTD_NAND_DISKONCHIP is not set
-CONFIG_MTD_NAND_AT91=y
-# CONFIG_MTD_NAND_NANDSIM is not set
-
-#
-# OneNAND Flash Device Drivers
-#
-# CONFIG_MTD_ONENAND is not set
-
-#
-# Parallel port support
-#
-# CONFIG_PARPORT is not set
-
-#
-# Plug and Play support
-#
-
-#
-# Block devices
-#
-# CONFIG_BLK_DEV_COW_COMMON is not set
-CONFIG_BLK_DEV_LOOP=y
-# CONFIG_BLK_DEV_CRYPTOLOOP is not set
-# CONFIG_BLK_DEV_NBD is not set
-# CONFIG_BLK_DEV_UB is not set
-CONFIG_BLK_DEV_RAM=y
-CONFIG_BLK_DEV_RAM_COUNT=16
-CONFIG_BLK_DEV_RAM_SIZE=16384
-CONFIG_BLK_DEV_RAM_BLOCKSIZE=1024
-CONFIG_BLK_DEV_INITRD=y
-# CONFIG_CDROM_PKTCDVD is not set
-# CONFIG_ATA_OVER_ETH is not set
-
-#
-# ATA/ATAPI/MFM/RLL support
-#
-# CONFIG_IDE is not set
-
-#
-# SCSI device support
-#
-# CONFIG_RAID_ATTRS is not set
-CONFIG_SCSI=y
-# CONFIG_SCSI_TGT is not set
-# CONFIG_SCSI_NETLINK is not set
-CONFIG_SCSI_PROC_FS=y
-
-#
-# SCSI support type (disk, tape, CD-ROM)
-#
-CONFIG_BLK_DEV_SD=y
-# CONFIG_CHR_DEV_ST is not set
-# CONFIG_CHR_DEV_OSST is not set
-# CONFIG_BLK_DEV_SR is not set
-CONFIG_CHR_DEV_SG=y
-# CONFIG_CHR_DEV_SCH is not set
-
-#
-# Some SCSI devices (e.g. CD jukebox) support multiple LUNs
-#
-CONFIG_SCSI_MULTI_LUN=y
-CONFIG_SCSI_CONSTANTS=y
-CONFIG_SCSI_LOGGING=y
-# CONFIG_SCSI_SCAN_ASYNC is not set
-
-#
-# SCSI Transports
-#
-CONFIG_SCSI_SPI_ATTRS=m
-# CONFIG_SCSI_FC_ATTRS is not set
-# CONFIG_SCSI_ISCSI_ATTRS is not set
-# CONFIG_SCSI_SAS_ATTRS is not set
-# CONFIG_SCSI_SAS_LIBSAS is not set
-
-#
-# SCSI low-level drivers
-#
-# CONFIG_ISCSI_TCP is not set
-# CONFIG_SCSI_DEBUG is not set
-
-#
-# PCMCIA SCSI adapter support
-#
-# CONFIG_PCMCIA_AHA152X is not set
-# CONFIG_PCMCIA_FDOMAIN is not set
-# CONFIG_PCMCIA_NINJA_SCSI is not set
-# CONFIG_PCMCIA_QLOGIC is not set
-# CONFIG_PCMCIA_SYM53C500 is not set
-
-#
-# Serial ATA (prod) and Parallel ATA (experimental) drivers
-#
-# CONFIG_ATA is not set
-
-#
-# Multi-device support (RAID and LVM)
-#
-# CONFIG_MD is not set
-
-#
-# Fusion MPT device support
-#
-# CONFIG_FUSION is not set
-
-#
-# IEEE 1394 (FireWire) support
-#
-
-#
-# I2O device support
-#
-
-#
-# Network device support
-#
-CONFIG_NETDEVICES=y
-# CONFIG_DUMMY is not set
-# CONFIG_BONDING is not set
-# CONFIG_EQUALIZER is not set
-# CONFIG_TUN is not set
-
-#
-# PHY device support
-#
-# CONFIG_PHYLIB is not set
-
-#
-# Ethernet (10 or 100Mbit)
-#
-CONFIG_NET_ETHERNET=y
-CONFIG_MII=y
-CONFIG_ARM_AT91_ETHER=y
-# CONFIG_SMC91X is not set
-# CONFIG_DM9000 is not set
-
-#
-# Ethernet (1000 Mbit)
-#
-
-#
-# Ethernet (10000 Mbit)
-#
-
-#
-# Token Ring devices
-#
-
-#
-# Wireless LAN (non-hamradio)
-#
-# CONFIG_NET_RADIO is not set
-
-#
-# PCMCIA network device support
-#
-# CONFIG_NET_PCMCIA is not set
-
-#
-# Wan interfaces
-#
-# CONFIG_WAN is not set
-# CONFIG_PPP is not set
-# CONFIG_SLIP is not set
-# CONFIG_SHAPER is not set
-# CONFIG_NETCONSOLE is not set
-# CONFIG_NETPOLL is not set
-# CONFIG_NET_POLL_CONTROLLER is not set
-
-#
-# ISDN subsystem
-#
-# CONFIG_ISDN is not set
-
-#
-# Input device support
-#
-CONFIG_INPUT=y
-# CONFIG_INPUT_FF_MEMLESS is not set
-
-#
-# Userland interfaces
-#
-CONFIG_INPUT_MOUSEDEV=y
-# CONFIG_INPUT_MOUSEDEV_PSAUX is not set
-CONFIG_INPUT_MOUSEDEV_SCREEN_X=1024
-CONFIG_INPUT_MOUSEDEV_SCREEN_Y=768
-# CONFIG_INPUT_JOYDEV is not set
-# CONFIG_INPUT_TSDEV is not set
-# CONFIG_INPUT_EVDEV is not set
-# CONFIG_INPUT_EVBUG is not set
-
-#
-# Input Device Drivers
-#
-# CONFIG_INPUT_KEYBOARD is not set
-# CONFIG_INPUT_MOUSE is not set
-# CONFIG_INPUT_JOYSTICK is not set
-# CONFIG_INPUT_TOUCHSCREEN is not set
-# CONFIG_INPUT_MISC is not set
-
-#
-# Hardware I/O ports
-#
-# CONFIG_SERIO is not set
-# CONFIG_GAMEPORT is not set
-
-#
-# Character devices
-#
-CONFIG_VT=y
-CONFIG_VT_CONSOLE=y
-CONFIG_HW_CONSOLE=y
-# CONFIG_VT_HW_CONSOLE_BINDING is not set
-# CONFIG_SERIAL_NONSTANDARD is not set
-
-#
-# Serial drivers
-#
-# CONFIG_SERIAL_8250 is not set
-
-#
-# Non-8250 serial port support
-#
-CONFIG_SERIAL_ATMEL=y
-CONFIG_SERIAL_ATMEL_CONSOLE=y
-# CONFIG_SERIAL_ATMEL_TTYAT is not set
-CONFIG_SERIAL_CORE=y
-CONFIG_SERIAL_CORE_CONSOLE=y
-CONFIG_UNIX98_PTYS=y
-# CONFIG_LEGACY_PTYS is not set
-
-#
-# IPMI
-#
-# CONFIG_IPMI_HANDLER is not set
-
-#
-# Watchdog Cards
-#
-# CONFIG_WATCHDOG is not set
-# CONFIG_HW_RANDOM is not set
-# CONFIG_NVRAM is not set
-# CONFIG_DTLK is not set
-# CONFIG_R3964 is not set
-
-#
-# PCMCIA character devices
-#
-# CONFIG_SYNCLINK_CS is not set
-# CONFIG_CARDMAN_4000 is not set
-# CONFIG_CARDMAN_4040 is not set
-# CONFIG_RAW_DRIVER is not set
-
-#
-# TPM devices
-#
-# CONFIG_TCG_TPM is not set
-# CONFIG_AT91_SPI is not set
-
-#
-# I2C support
-#
-# CONFIG_I2C is not set
-
-#
-# SPI support
-#
-# CONFIG_SPI is not set
-# CONFIG_SPI_MASTER is not set
-
-#
-# Dallas's 1-wire bus
-#
-# CONFIG_W1 is not set
-
-#
-# Hardware Monitoring support
-#
-CONFIG_HWMON=y
-# CONFIG_HWMON_VID is not set
-# CONFIG_SENSORS_ABITUGURU is not set
-# CONFIG_SENSORS_F71805F is not set
-# CONFIG_SENSORS_PC87427 is not set
-# CONFIG_SENSORS_VT1211 is not set
-CONFIG_HWMON_DEBUG_CHIP=y
-
-#
-# Misc devices
-#
-# CONFIG_TIFM_CORE is not set
-
-#
-# LED devices
-#
-# CONFIG_NEW_LEDS is not set
-
-#
-# LED drivers
-#
-
-#
-# LED Triggers
-#
-
-#
-# Multimedia devices
-#
-# CONFIG_VIDEO_DEV is not set
-
-#
-# Digital Video Broadcasting Devices
-#
-# CONFIG_DVB is not set
-# CONFIG_USB_DABUSB is not set
-
-#
-# Graphics support
-#
-# CONFIG_FIRMWARE_EDID is not set
-CONFIG_FB=y
-CONFIG_FB_CFB_FILLRECT=y
-CONFIG_FB_CFB_COPYAREA=y
-CONFIG_FB_CFB_IMAGEBLIT=y
-# CONFIG_FB_MACMODES is not set
-# CONFIG_FB_BACKLIGHT is not set
-CONFIG_FB_MODE_HELPERS=y
-CONFIG_FB_TILEBLITTING=y
-CONFIG_FB_S1D15605=y
-# CONFIG_FB_S1D13XXX is not set
-# CONFIG_FB_VIRTUAL is not set
-
-#
-# Console display driver support
-#
-# CONFIG_VGA_CONSOLE is not set
-CONFIG_DUMMY_CONSOLE=y
-CONFIG_FRAMEBUFFER_CONSOLE=y
-# CONFIG_FRAMEBUFFER_CONSOLE_ROTATION is not set
-CONFIG_FONTS=y
-# CONFIG_FONT_8x8 is not set
-# CONFIG_FONT_8x16 is not set
-# CONFIG_FONT_6x11 is not set
-# CONFIG_FONT_7x14 is not set
-# CONFIG_FONT_PEARL_8x8 is not set
-# CONFIG_FONT_ACORN_8x8 is not set
-CONFIG_FONT_MINI_4x6=y
-# CONFIG_FONT_SUN8x16 is not set
-# CONFIG_FONT_SUN12x22 is not set
-# CONFIG_FONT_10x18 is not set
-
-#
-# Logo configuration
-#
-# CONFIG_LOGO is not set
-CONFIG_BACKLIGHT_LCD_SUPPORT=y
-CONFIG_BACKLIGHT_CLASS_DEVICE=y
-CONFIG_BACKLIGHT_DEVICE=y
-# CONFIG_LCD_CLASS_DEVICE is not set
-CONFIG_BACKLIGHT_KB920x=y
-
-#
-# Sound
-#
-# CONFIG_SOUND is not set
-
-#
-# HID Devices
-#
-CONFIG_HID=y
-
-#
-# USB support
-#
-CONFIG_USB_ARCH_HAS_HCD=y
-CONFIG_USB_ARCH_HAS_OHCI=y
-# CONFIG_USB_ARCH_HAS_EHCI is not set
-CONFIG_USB=y
-# CONFIG_USB_DEBUG is not set
-
-#
-# Miscellaneous USB options
-#
-CONFIG_USB_DEVICEFS=y
-# CONFIG_USB_BANDWIDTH is not set
-# CONFIG_USB_DYNAMIC_MINORS is not set
-# CONFIG_USB_OTG is not set
-
-#
-# USB Host Controller Drivers
-#
-# CONFIG_USB_ISP116X_HCD is not set
-CONFIG_USB_OHCI_HCD=y
-# CONFIG_USB_OHCI_BIG_ENDIAN is not set
-CONFIG_USB_OHCI_LITTLE_ENDIAN=y
-# CONFIG_USB_SL811_HCD is not set
-
-#
-# USB Device Class drivers
-#
-# CONFIG_USB_ACM is not set
-# CONFIG_USB_PRINTER is not set
-
-#
-# NOTE: USB_STORAGE enables SCSI, and 'SCSI disk support'
-#
-
-#
-# may also be needed; see USB_STORAGE Help for more information
-#
-CONFIG_USB_STORAGE=y
-# CONFIG_USB_STORAGE_DEBUG is not set
-# CONFIG_USB_STORAGE_DATAFAB is not set
-# CONFIG_USB_STORAGE_FREECOM is not set
-# CONFIG_USB_STORAGE_DPCM is not set
-# CONFIG_USB_STORAGE_USBAT is not set
-# CONFIG_USB_STORAGE_SDDR09 is not set
-# CONFIG_USB_STORAGE_SDDR55 is not set
-# CONFIG_USB_STORAGE_JUMPSHOT is not set
-# CONFIG_USB_STORAGE_ALAUDA is not set
-# CONFIG_USB_STORAGE_KARMA is not set
-CONFIG_USB_LIBUSUAL=y
-
-#
-# USB Input Devices
-#
-CONFIG_USB_HID=y
-# CONFIG_USB_HIDINPUT_POWERBOOK is not set
-# CONFIG_HID_FF is not set
-# CONFIG_USB_HIDDEV is not set
-# CONFIG_USB_AIPTEK is not set
-# CONFIG_USB_WACOM is not set
-# CONFIG_USB_ACECAD is not set
-# CONFIG_USB_KBTAB is not set
-# CONFIG_USB_POWERMATE is not set
-# CONFIG_USB_TOUCHSCREEN is not set
-# CONFIG_USB_YEALINK is not set
-# CONFIG_USB_XPAD is not set
-# CONFIG_USB_ATI_REMOTE is not set
-# CONFIG_USB_ATI_REMOTE2 is not set
-# CONFIG_USB_KEYSPAN_REMOTE is not set
-# CONFIG_USB_APPLETOUCH is not set
-
-#
-# USB Imaging devices
-#
-# CONFIG_USB_MDC800 is not set
-# CONFIG_USB_MICROTEK is not set
-
-#
-# USB Network Adapters
-#
-# CONFIG_USB_CATC is not set
-# CONFIG_USB_KAWETH is not set
-# CONFIG_USB_PEGASUS is not set
-# CONFIG_USB_RTL8150 is not set
-# CONFIG_USB_USBNET_MII is not set
-# CONFIG_USB_USBNET is not set
-# CONFIG_USB_MON is not set
-
-#
-# USB port drivers
-#
-
-#
-# USB Serial Converter support
-#
-# CONFIG_USB_SERIAL is not set
-
-#
-# USB Miscellaneous drivers
-#
-# CONFIG_USB_EMI62 is not set
-# CONFIG_USB_EMI26 is not set
-# CONFIG_USB_ADUTUX is not set
-# CONFIG_USB_AUERSWALD is not set
-# CONFIG_USB_RIO500 is not set
-# CONFIG_USB_LEGOTOWER is not set
-# CONFIG_USB_LCD is not set
-# CONFIG_USB_LED is not set
-# CONFIG_USB_CYPRESS_CY7C63 is not set
-# CONFIG_USB_CYTHERM is not set
-# CONFIG_USB_PHIDGET is not set
-# CONFIG_USB_IDMOUSE is not set
-# CONFIG_USB_FTDI_ELAN is not set
-# CONFIG_USB_APPLEDISPLAY is not set
-# CONFIG_USB_LD is not set
-# CONFIG_USB_TRANCEVIBRATOR is not set
-# CONFIG_USB_TEST is not set
-
-#
-# USB DSL modem support
-#
-
-#
-# USB Gadget Support
-#
-# CONFIG_USB_GADGET is not set
-
-#
-# MMC/SD Card support
-#
-CONFIG_MMC=y
-# CONFIG_MMC_DEBUG is not set
-CONFIG_MMC_BLOCK=y
-CONFIG_MMC_AT91=y
-# CONFIG_MMC_TIFM_SD is not set
-
-#
-# Real Time Clock
-#
-CONFIG_RTC_LIB=y
-# CONFIG_RTC_CLASS is not set
-
-#
-# File systems
-#
-CONFIG_EXT2_FS=y
-CONFIG_EXT2_FS_XATTR=y
-CONFIG_EXT2_FS_POSIX_ACL=y
-CONFIG_EXT2_FS_SECURITY=y
-# CONFIG_EXT2_FS_XIP is not set
-CONFIG_EXT3_FS=y
-CONFIG_EXT3_FS_XATTR=y
-CONFIG_EXT3_FS_POSIX_ACL=y
-CONFIG_EXT3_FS_SECURITY=y
-# CONFIG_EXT4DEV_FS is not set
-CONFIG_JBD=y
-# CONFIG_JBD_DEBUG is not set
-CONFIG_FS_MBCACHE=y
-# CONFIG_REISERFS_FS is not set
-# CONFIG_JFS_FS is not set
-CONFIG_FS_POSIX_ACL=y
-# CONFIG_XFS_FS is not set
-# CONFIG_GFS2_FS is not set
-# CONFIG_OCFS2_FS is not set
-# CONFIG_MINIX_FS is not set
-# CONFIG_ROMFS_FS is not set
-CONFIG_INOTIFY=y
-CONFIG_INOTIFY_USER=y
-CONFIG_QUOTA=y
-# CONFIG_QFMT_V1 is not set
-CONFIG_QFMT_V2=y
-CONFIG_QUOTACTL=y
-CONFIG_DNOTIFY=y
-# CONFIG_AUTOFS_FS is not set
-CONFIG_AUTOFS4_FS=y
-# CONFIG_FUSE_FS is not set
-
-#
-# CD-ROM/DVD Filesystems
-#
-# CONFIG_ISO9660_FS is not set
-# CONFIG_UDF_FS is not set
-
-#
-# DOS/FAT/NT Filesystems
-#
-CONFIG_FAT_FS=y
-CONFIG_MSDOS_FS=y
-CONFIG_VFAT_FS=y
-CONFIG_FAT_DEFAULT_CODEPAGE=437
-CONFIG_FAT_DEFAULT_IOCHARSET="ascii"
-# CONFIG_NTFS_FS is not set
-
-#
-# Pseudo filesystems
-#
-CONFIG_PROC_FS=y
-CONFIG_PROC_SYSCTL=y
-CONFIG_SYSFS=y
-CONFIG_TMPFS=y
-# CONFIG_TMPFS_POSIX_ACL is not set
-# CONFIG_HUGETLB_PAGE is not set
-CONFIG_RAMFS=y
-CONFIG_CONFIGFS_FS=y
-
-#
-# Miscellaneous filesystems
-#
-# CONFIG_ADFS_FS is not set
-# CONFIG_AFFS_FS is not set
-# CONFIG_HFS_FS is not set
-# CONFIG_HFSPLUS_FS is not set
-# CONFIG_BEFS_FS is not set
-# CONFIG_BFS_FS is not set
-# CONFIG_EFS_FS is not set
-CONFIG_JFFS2_FS=y
-CONFIG_JFFS2_FS_DEBUG=0
-CONFIG_JFFS2_FS_WRITEBUFFER=y
-# CONFIG_JFFS2_SUMMARY is not set
-# CONFIG_JFFS2_FS_XATTR is not set
-# CONFIG_JFFS2_COMPRESSION_OPTIONS is not set
-CONFIG_JFFS2_ZLIB=y
-CONFIG_JFFS2_RTIME=y
-# CONFIG_JFFS2_RUBIN is not set
-# CONFIG_CRAMFS is not set
-# CONFIG_VXFS_FS is not set
-# CONFIG_HPFS_FS is not set
-# CONFIG_QNX4FS_FS is not set
-# CONFIG_SYSV_FS is not set
-# CONFIG_UFS_FS is not set
-
-#
-# Network File Systems
-#
-CONFIG_NFS_FS=y
-CONFIG_NFS_V3=y
-# CONFIG_NFS_V3_ACL is not set
-CONFIG_NFS_V4=y
-# CONFIG_NFS_DIRECTIO is not set
-# CONFIG_NFSD is not set
-CONFIG_ROOT_NFS=y
-CONFIG_LOCKD=y
-CONFIG_LOCKD_V4=y
-CONFIG_NFS_COMMON=y
-CONFIG_SUNRPC=y
-CONFIG_SUNRPC_GSS=y
-CONFIG_RPCSEC_GSS_KRB5=y
-# CONFIG_RPCSEC_GSS_SPKM3 is not set
-# CONFIG_SMB_FS is not set
-# CONFIG_CIFS is not set
-# CONFIG_NCP_FS is not set
-# CONFIG_CODA_FS is not set
-# CONFIG_AFS_FS is not set
-# CONFIG_9P_FS is not set
-
-#
-# Partition Types
-#
-# CONFIG_PARTITION_ADVANCED is not set
-CONFIG_MSDOS_PARTITION=y
-
-#
-# Native Language Support
-#
-CONFIG_NLS=y
-CONFIG_NLS_DEFAULT="utf8"
-CONFIG_NLS_CODEPAGE_437=y
-# CONFIG_NLS_CODEPAGE_737 is not set
-# CONFIG_NLS_CODEPAGE_775 is not set
-# CONFIG_NLS_CODEPAGE_850 is not set
-# CONFIG_NLS_CODEPAGE_852 is not set
-# CONFIG_NLS_CODEPAGE_855 is not set
-# CONFIG_NLS_CODEPAGE_857 is not set
-# CONFIG_NLS_CODEPAGE_860 is not set
-# CONFIG_NLS_CODEPAGE_861 is not set
-# CONFIG_NLS_CODEPAGE_862 is not set
-# CONFIG_NLS_CODEPAGE_863 is not set
-# CONFIG_NLS_CODEPAGE_864 is not set
-# CONFIG_NLS_CODEPAGE_865 is not set
-# CONFIG_NLS_CODEPAGE_866 is not set
-# CONFIG_NLS_CODEPAGE_869 is not set
-# CONFIG_NLS_CODEPAGE_936 is not set
-# CONFIG_NLS_CODEPAGE_950 is not set
-# CONFIG_NLS_CODEPAGE_932 is not set
-# CONFIG_NLS_CODEPAGE_949 is not set
-# CONFIG_NLS_CODEPAGE_874 is not set
-# CONFIG_NLS_ISO8859_8 is not set
-# CONFIG_NLS_CODEPAGE_1250 is not set
-# CONFIG_NLS_CODEPAGE_1251 is not set
-CONFIG_NLS_ASCII=y
-# CONFIG_NLS_ISO8859_1 is not set
-# CONFIG_NLS_ISO8859_2 is not set
-# CONFIG_NLS_ISO8859_3 is not set
-# CONFIG_NLS_ISO8859_4 is not set
-# CONFIG_NLS_ISO8859_5 is not set
-# CONFIG_NLS_ISO8859_6 is not set
-# CONFIG_NLS_ISO8859_7 is not set
-# CONFIG_NLS_ISO8859_9 is not set
-# CONFIG_NLS_ISO8859_13 is not set
-# CONFIG_NLS_ISO8859_14 is not set
-# CONFIG_NLS_ISO8859_15 is not set
-# CONFIG_NLS_KOI8_R is not set
-# CONFIG_NLS_KOI8_U is not set
-CONFIG_NLS_UTF8=y
-
-#
-# Distributed Lock Manager
-#
-# CONFIG_DLM is not set
-
-#
-# Profiling support
-#
-# CONFIG_PROFILING is not set
-
-#
-# Kernel hacking
-#
-# CONFIG_PRINTK_TIME is not set
-CONFIG_ENABLE_MUST_CHECK=y
-CONFIG_MAGIC_SYSRQ=y
-# CONFIG_UNUSED_SYMBOLS is not set
-# CONFIG_DEBUG_FS is not set
-# CONFIG_HEADERS_CHECK is not set
-CONFIG_DEBUG_KERNEL=y
-CONFIG_LOG_BUF_SHIFT=17
-CONFIG_DETECT_SOFTLOCKUP=y
-# CONFIG_SCHEDSTATS is not set
-# CONFIG_DEBUG_SLAB is not set
-# CONFIG_DEBUG_RT_MUTEXES is not set
-# CONFIG_RT_MUTEX_TESTER is not set
-CONFIG_DEBUG_SPINLOCK=y
-# CONFIG_DEBUG_MUTEXES is not set
-# CONFIG_DEBUG_RWSEMS is not set
-CONFIG_DEBUG_SPINLOCK_SLEEP=y
-# CONFIG_DEBUG_LOCKING_API_SELFTESTS is not set
-# CONFIG_DEBUG_KOBJECT is not set
-CONFIG_DEBUG_BUGVERBOSE=y
-# CONFIG_DEBUG_INFO is not set
-# CONFIG_DEBUG_VM is not set
-# CONFIG_DEBUG_LIST is not set
-CONFIG_FRAME_POINTER=y
-CONFIG_FORCED_INLINING=y
-# CONFIG_RCU_TORTURE_TEST is not set
-# CONFIG_DEBUG_USER is not set
-# CONFIG_DEBUG_ERRORS is not set
-CONFIG_DEBUG_LL=y
-# CONFIG_DEBUG_ICEDCC is not set
-
-#
-# Security options
-#
-# CONFIG_KEYS is not set
-# CONFIG_SECURITY is not set
-
-#
-# Cryptographic options
-#
-CONFIG_CRYPTO=y
-CONFIG_CRYPTO_ALGAPI=y
-CONFIG_CRYPTO_BLKCIPHER=y
-CONFIG_CRYPTO_HASH=m
-CONFIG_CRYPTO_MANAGER=y
-CONFIG_CRYPTO_HMAC=m
-# CONFIG_CRYPTO_XCBC is not set
-# CONFIG_CRYPTO_NULL is not set
-# CONFIG_CRYPTO_MD4 is not set
-CONFIG_CRYPTO_MD5=y
-# CONFIG_CRYPTO_SHA1 is not set
-# CONFIG_CRYPTO_SHA256 is not set
-# CONFIG_CRYPTO_SHA512 is not set
-# CONFIG_CRYPTO_WP512 is not set
-# CONFIG_CRYPTO_TGR192 is not set
-# CONFIG_CRYPTO_GF128MUL is not set
-# CONFIG_CRYPTO_ECB is not set
-CONFIG_CRYPTO_CBC=y
-# CONFIG_CRYPTO_LRW is not set
-CONFIG_CRYPTO_DES=y
-# CONFIG_CRYPTO_BLOWFISH is not set
-# CONFIG_CRYPTO_TWOFISH is not set
-# CONFIG_CRYPTO_SERPENT is not set
-# CONFIG_CRYPTO_AES is not set
-# CONFIG_CRYPTO_CAST5 is not set
-# CONFIG_CRYPTO_CAST6 is not set
-# CONFIG_CRYPTO_TEA is not set
-# CONFIG_CRYPTO_ARC4 is not set
-# CONFIG_CRYPTO_KHAZAD is not set
-# CONFIG_CRYPTO_ANUBIS is not set
-# CONFIG_CRYPTO_DEFLATE is not set
-# CONFIG_CRYPTO_MICHAEL_MIC is not set
-# CONFIG_CRYPTO_CRC32C is not set
-# CONFIG_CRYPTO_TEST is not set
-
-#
-# Hardware crypto devices
-#
-
-#
-# Library routines
-#
-CONFIG_BITREVERSE=y
-# CONFIG_CRC_CCITT is not set
-# CONFIG_CRC16 is not set
-CONFIG_CRC32=y
-# CONFIG_LIBCRC32C is not set
-CONFIG_AUDIT_GENERIC=y
-CONFIG_ZLIB_INFLATE=y
-CONFIG_ZLIB_DEFLATE=y
-CONFIG_PLIST=y
-CONFIG_IOMAP_COPY=y
diff --git a/target/device/xtensa/Config.in b/target/device/xtensa/Config.in
new file mode 100644
index 000000000..0d4408c23
--- /dev/null
+++ b/target/device/xtensa/Config.in
@@ -0,0 +1,21 @@
+menuconfig BR2_TARGET_XTENSA
+ bool "Device and Board Support for Xtensa and Diamond cores"
+ depends on BR2_xtensa
+ default y
+ help
+ Lists development boards with support for the Xtensa architecture.
+
+if BR2_TARGET_XTENSA
+comment "Tensilica Xtensa/Diamond based Device Support"
+ depends on BR2_xtensa
+
+config BR2_TARGET_XTENSA_XTAV60
+ bool "XTAV60/200 board (Avnet LX60 or LX200 plus Tensilica IP)"
+ depends on BR2_xtensa
+ default y
+ help
+ The XTAV60 or XTAV200 board, which is an Avnet LX60 or LX200
+ emulation board programmed with an FPGA bitstream obtained
+ from Tensilica.
+
+endif
diff --git a/target/device/xtensa/Makefile.in b/target/device/xtensa/Makefile.in
new file mode 100644
index 000000000..7c95c239b
--- /dev/null
+++ b/target/device/xtensa/Makefile.in
@@ -0,0 +1,17 @@
+ifeq ($(BR2_xtensa),y)
+
+ifeq ($(strip $(BR2_TARGET_XTENSA_XTAV60)),y)
+# UCLIBC_CONFIG_FILE:=target/device/xtensa/xtav60/uClibc.config
+# BR2_PACKAGE_BUSYBOX_CONFIG:=target/device/xtensa/xtav60/busybox.config
+TARGET_SKELETON_PATCH:=target/device/xtensa
+endif
+
+# Custom device table patch used when targeting ISS:
+OLD_TARGET_DEVICE_TABLE := $(TARGET_DEVICE_TABLE)
+TARGET_DEVICE_TABLE := target/device/xtensa/device_table.txt
+makedevs:
+ @echo "Applying patch to $(TARGET_DEVICE_TABLE)"
+ cp -f $(OLD_TARGET_DEVICE_TABLE) $(TARGET_DEVICE_TABLE)
+ patch -p1 -g 0 < target/device/xtensa/device_table.diff
+
+endif
diff --git a/target/device/xtensa/device_table.diff b/target/device/xtensa/device_table.diff
new file mode 100644
index 000000000..12f682546
--- /dev/null
+++ b/target/device/xtensa/device_table.diff
@@ -0,0 +1,10 @@
+diff --git a/target/generic/device_table.txt b/target/generic/device_table.txt
+index f4b16ba..b87bf69 100644
+--- a/target/device/xtensa/device_table.txt
++++ b/target/device/xtensa/device_table.txt
+@@ -169,3 +169,5 @@
+ #/dev/mcd b 640 0 0 23 0 0 0
+ #/dev/optcd b 640 0 0 17 0 0 0
+
++/dev/simdisk0 b 640 0 0 240 0 0 0
++/dev/simdisk1 b 640 0 0 240 1 0 0
diff --git a/target/device/xtensa/skeleton-patch/etc/inittab b/target/device/xtensa/skeleton-patch/etc/inittab
new file mode 100644
index 000000000..b336ff69c
--- /dev/null
+++ b/target/device/xtensa/skeleton-patch/etc/inittab
@@ -0,0 +1,47 @@
+# /etc/inittab
+#
+# Copyright (C) 2001 Erik Andersen <andersen@codepoet.org>
+#
+# Note: BusyBox init doesn't support runlevels. The runlevels field is
+# completely ignored by BusyBox init. If you want runlevels, use
+# sysvinit.
+#
+# Format for each entry: <id>:<runlevels>:<action>:<process>
+#
+# id == tty to run on, or empty for /dev/console
+# runlevels == ignored
+# action == one of sysinit, respawn, askfirst, wait, and once
+# process == program to run
+
+# Startup the system
+null::sysinit:/bin/mount -t proc proc /proc
+null::sysinit:/bin/mount -o remount,rw /
+null::sysinit:/bin/mount -a
+null::sysinit:/bin/hostname -F /etc/hostname
+null::sysinit:/sbin/ifconfig lo 127.0.0.1 up
+null::sysinit:/sbin/route add -net 127.0.0.0 netmask 255.0.0.0 lo
+# now run any rc scripts
+::sysinit:/etc/init.d/rcS
+
+# Set up a couple of getty's
+#tty1::respawn:/sbin/getty 38400 tty1
+#tty2::respawn:/sbin/getty 38400 tty2
+
+# Put a getty on the serial port
+ttyS0::respawn:/sbin/getty -L ttyS0 38400 vt100
+
+# Logging junk
+null::sysinit:/bin/touch /var/log/messages
+null::respawn:/sbin/syslogd -n -m 0
+null::respawn:/sbin/klogd -n
+#tty3::respawn:/usr/bin/tail -f /var/log/messages
+
+# Stuff to do for the 3-finger salute
+::ctrlaltdel:/sbin/reboot
+
+# Stuff to do before rebooting
+null::shutdown:/usr/bin/killall klogd
+null::shutdown:/usr/bin/killall syslogd
+null::shutdown:/bin/umount -a -r
+null::shutdown:/sbin/swapoff -a
+
diff --git a/target/hurd/Config.in b/target/hurd/Config.in
deleted file mode 100644
index 08b9ff7e7..000000000
--- a/target/hurd/Config.in
+++ /dev/null
@@ -1,11 +0,0 @@
-config BR2_PACKAGE_HURD
- bool "Hurd kernel (see helptext)"
- depends on BR2_KERNEL_HURD
- default y
- help
- The GNU/Hurd kernel.
- http://www.gnu.org/software/hurd/
-
- FIXME: Currently not implemented.
-
-
diff --git a/target/hurd/Makefile.in b/target/hurd/Makefile.in
deleted file mode 100644
index 9bd7d9b1c..000000000
--- a/target/hurd/Makefile.in
+++ /dev/null
@@ -1,38 +0,0 @@
-# GNU Hurd kernel
-#
-ifeq ($(BR2_KERNEL_HURD),y)
-
-HURD_MODULE_SITE:= -d:pserver:anonymous@cvs.savannah.gnu.org:/sources/hurd
-MIG_MODULE_NAME:=mig
-MIG_MODULE_VERSION:=cvs
-HURD_MODULE_NAME:=hurd
-HURD_MODULE_VERSION:=cvs
-HURD_CMD_CO=cvs -z3 $(HURD_MODULE_SITE) co
-HURD_CMD_UP:=cvs up -PA -d
-HURD_SRC_DIR:=hurd-$(HURD_MODULE_VERSION)
-MIG_SRC_DIR:=mig-$(MIG_MODULE_VERSION)
-
-$(TOOL_BUILD_DIR)/$(HURD_SRC_DIR)/.unpacked:
- mkdir -p $(@D)
- (cd $(TOOL_BUILD_DIR) && \
- $(HURD_CMD_CO) -d $(HURD_SRC_DIR) $(HURD_MODULE_NAME); \
- )
- touch $@
-
-$(TOOL_BUILD_DIR)/$(MIG_SRC_DIR)/.unpacked:
- mkdir -p $(@D)
- (cd $(TOOL_BUILD_DIR) && \
- $(HURD_CMD_CO) -d $(MIG_SRC_DIR) $(MIG_MODULE_NAME); \
- )
- touch $@
-
-$(TOOL_BUILD_DIR)/$(HURD_SRC_DIR)/.updated: $(TOOL_BUILD_DIR)/$(HURD_SRC_DIR)/.unpacked
- (cd $(@D) && $(HURD_CMD_UP))
-
-$(TOOL_BUILD_DIR)/$(MIG_SRC_DIR)/.updated: $(TOOL_BUILD_DIR)/$(MIG_SRC_DIR)/.unpacked
- (cd $(@D) && $(HURD_CMD_UP))
-
-hurd-source: $(TOOL_BUILD_DIR)/$(HURD_SRC_DIR)/.updated \
- $(TOOL_BUILD_DIR)/$(MIG_SRC_DIR)/.updated
-
-endif
diff --git a/target/iso9660/Config.in b/target/iso9660/Config.in
index 6c580d80d..0b820630a 100644
--- a/target/iso9660/Config.in
+++ b/target/iso9660/Config.in
@@ -1,6 +1,7 @@
config BR2_TARGET_ROOTFS_ISO9660
bool "iso image"
depends on BR2_i386
+ depends on !BR2_KERNEL_none
select BR2_TARGET_ROOTFS_EXT2
select BR2_TARGET_GRUB
select BR2_HOST_FAKEROOT
@@ -16,3 +17,6 @@ config BR2_TARGET_ROOTFS_ISO9660_BOOT_MENU
string "Boot menu.lst file"
depends on BR2_TARGET_ROOTFS_ISO9660
default "target/iso9660/menu.lst"
+
+comment "iso image requires a Linux kernel to be built"
+ depends on BR2_i386 && BR2_KERNEL_none
diff --git a/target/iso9660/iso9660.mk b/target/iso9660/iso9660.mk
index 151970ffd..2525286f6 100644
--- a/target/iso9660/iso9660.mk
+++ b/target/iso9660/iso9660.mk
@@ -7,7 +7,7 @@ MKISOFS_SOURCE:=cdrtools-2.01.tar.bz2
MKISOFS_CAT:=$(BZCAT)
MKISOFS_SITE:=ftp://ftp.berlios.de/pub/cdrecord/
MKISOFS_DIR:=$(BUILD_DIR)/cdrtools-2.01
-MKISOFS_TARGET:=$(MKISOFS_DIR)/mkisofs/OBJ/i686-linux-cc/mkisofs
+MKISOFS_TARGET=$(MKISOFS_DIR)/mkisofs/OBJ/$(HOST_ARCH)-linux-cc/mkisofs
$(DL_DIR)/$(MKISOFS_SOURCE):
$(call DOWNLOAD,$(MKISOFS_SITE),$(MKISOFS_SOURCE))
diff --git a/target/linux/Config.in.advanced b/target/linux/Config.in.advanced
index 3a171b560..a17e41aec 100644
--- a/target/linux/Config.in.advanced
+++ b/target/linux/Config.in.advanced
@@ -33,42 +33,35 @@ source "target/linux/Config.in.versions"
config BR2_KERNEL_PATCH_LEVEL
string
+ default $(BR2_KERNEL_LATEST_2_6_30) if BR2_LINUX_2_6_30 && BR2_KERNEL_ADD_LATEST_MINORPATCH
default $(BR2_KERNEL_LATEST_2_6_29) if BR2_LINUX_2_6_29 && BR2_KERNEL_ADD_LATEST_MINORPATCH
default $(BR2_KERNEL_LATEST_2_6_28) if BR2_LINUX_2_6_28 && BR2_KERNEL_ADD_LATEST_MINORPATCH
default $(BR2_KERNEL_LATEST_2_6_27) if BR2_LINUX_2_6_27 && BR2_KERNEL_ADD_LATEST_MINORPATCH
default $(BR2_KERNEL_LATEST_2_6_26) if BR2_LINUX_2_6_26 && BR2_KERNEL_ADD_LATEST_MINORPATCH
default $(BR2_KERNEL_LATEST_2_6_25) if BR2_LINUX_2_6_25 && BR2_KERNEL_ADD_LATEST_MINORPATCH
default $(BR2_KERNEL_LATEST_2_6_24) if BR2_LINUX_2_6_24 && BR2_KERNEL_ADD_LATEST_MINORPATCH
- default $(BR2_KERNEL_LATEST_2_6_23) if BR2_LINUX_2_6_23 && BR2_KERNEL_ADD_LATEST_MINORPATCH
- default $(BR2_KERNEL_LATEST_2_6_22) if BR2_LINUX_2_6_22 && BR2_KERNEL_ADD_LATEST_MINORPATCH
- default $(BR2_KERNEL_LATEST_2_6_21) if BR2_LINUX_2_6_21 && BR2_KERNEL_ADD_LATEST_MINORPATCH
- default $(BR2_KERNEL_LATEST_2_6_20) if BR2_LINUX_2_6_20 && BR2_KERNEL_ADD_LATEST_MINORPATCH
default "$(BR2_KERNEL_MINORLEVEL)" if BR2_KERNEL_ADD_MINORPATCH
config BR2_KERNEL_NEXT_VERSION
string
+ default "2.6.31" if BR2_LINUX_2_6_30
+ default "2.6.30" if BR2_LINUX_2_6_29
default "2.6.29" if BR2_LINUX_2_6_28
default "2.6.28" if BR2_LINUX_2_6_27
default "2.6.27" if BR2_LINUX_2_6_26
default "2.6.26" if BR2_LINUX_2_6_25
default "2.6.25" if BR2_LINUX_2_6_24
- default "2.6.24" if BR2_LINUX_2_6_23
- default "2.6.23" if BR2_LINUX_2_6_22
- default "2.6.22" if BR2_LINUX_2_6_21
- default "2.6.21" if BR2_LINUX_2_6_20
config BR2_KERNEL_THIS_VERSION
string
+ default "2.6.31" if BR2_LINUX_2_6_31
+ default "2.6.30" if BR2_LINUX_2_6_30
default "2.6.29" if BR2_LINUX_2_6_29
default "2.6.28" if BR2_LINUX_2_6_28
default "2.6.27" if BR2_LINUX_2_6_27
default "2.6.26" if BR2_LINUX_2_6_26
default "2.6.25" if BR2_LINUX_2_6_25
default "2.6.24" if BR2_LINUX_2_6_24
- default "2.6.23" if BR2_LINUX_2_6_23
- default "2.6.22" if BR2_LINUX_2_6_22
- default "2.6.21" if BR2_LINUX_2_6_21
- default "2.6.20" if BR2_LINUX_2_6_20
config BR2_KERNEL_SITE
string
@@ -128,7 +121,11 @@ choice
Select the specific Linux version you want to use
config BR2_LINUX_2_6_STABLE
- bool "The latest stable Linux kernel (2.6.29.4)"
+ bool "The latest stable Linux kernel (2.6.30.2)"
+
+config BR2_LINUX_2_6_30
+ bool "Linux 2.6.30"
+ select BR2_KERNEL_BASE
config BR2_LINUX_2_6_29
bool "Linux 2.6.29"
@@ -154,20 +151,8 @@ config BR2_LINUX_2_6_24
bool "Linux 2.6.24"
select BR2_KERNEL_BASE
-config BR2_LINUX_2_6_23
- bool "Linux 2.6.23"
- select BR2_KERNEL_BASE
-
-config BR2_LINUX_2_6_22
- bool "Linux 2.6.22"
- select BR2_KERNEL_BASE
-
-config BR2_LINUX_2_6_21
- bool "Linux 2.6.21"
- select BR2_KERNEL_BASE
-
-config BR2_LINUX_2_6_20
- bool "Linux 2.6.20"
+config BR2_LINUX_2_6_31
+ bool "Linux 2.6.31"
select BR2_KERNEL_BASE
config BR2_LINUX26_CUSTOM
@@ -178,19 +163,19 @@ endchoice
if BR2_LINUX26_CUSTOM
config BR2_CUSTOM_DOWNLOAD_LINUX26_VERSION
string "Linux Tarball version"
- default "2.6.30"
+ default "2.6.31"
help
Specify any .tar.bz2 file
config BR2_CUSTOM_LINUX26_VERSION
string "Linux Version"
- default "2.6.30"
+ default "2.6.31"
help
Specify what the linux version will be called
config BR2_CUSTOM_LINUX26_PATCH
string "patch name"
- default "patch-2.6.30-rc4.bz2"
+ default "patch-2.6.31-rc4.bz2"
help
Specify a patch to be downloaded
diff --git a/target/linux/Config.in.experimental b/target/linux/Config.in.experimental
deleted file mode 100644
index c75c69b0f..000000000
--- a/target/linux/Config.in.experimental
+++ /dev/null
@@ -1,345 +0,0 @@
-if BR2_KERNEL_LINUX_EXPERIMENTAL
-
-choice
- prompt "Linux Kernel Version"
- depends on BR2_PACKAGE_LINUX
- default BR2_LINUX_2_6_22_1 if !BR2_avr32
- default BR2_LINUX_2_6_22_10 if BR2_avr32
- help
- Select the specific Linux version you want to use
-
-config BR2_LINUX_2_6_SNAP
- bool "The latest snapshot for the stable Linux kernel"
- depends on BR2_PACKAGE_LINUX
- help
- Linux 2.6.x-git#
-
-config BR2_LINUX_2_6_MM
- bool "With latest -mm patch for the stable Linux kernel"
- depends on BR2_PACKAGE_LINUX
- help
- Linux 2.6.x-rc#-mm#
-
-config BR2_LINUX_2_6_STABLE
- bool "The latest stable Linux kernel (2.6.22.1)"
- depends on BR2_PACKAGE_LINUX
- help
- Linux 2.6.22.1
-
-config BR2_LINUX_2_6_22_10
- bool "Linux 2.6.22.10"
- depends on BR2_PACKAGE_LINUX
- help
- Linux 2.6.22.10
-
-config BR2_LINUX_2_6_22_1
- bool "Linux 2.6.22.1"
- depends on BR2_PACKAGE_LINUX
- help
- Linux 2.6.22.1
-
-config BR2_LINUX_2_6_22
- bool "Linux 2.6.22"
- depends on BR2_PACKAGE_LINUX
- help
- Linux 2.6.22
-
-config BR2_LINUX_2_6_21_6
- bool "Linux 2.6.21.6"
- depends on BR2_PACKAGE_LINUX
- help
- Linux 2.6.21.6
-
-config BR2_LINUX_2_6_21_1
- bool "Linux 2.6.21.1"
- depends on BR2_PACKAGE_LINUX
- help
- Linux 2.6.21.1
-
-config BR2_LINUX_2_6_21
- bool "Linux 2.6.21"
- depends on BR2_PACKAGE_LINUX
- help
- Linux 2.6.21
-
-config BR2_LINUX_2_6_20_4
- bool "Linux 2.6.20.4"
- depends on BR2_PACKAGE_LINUX
- help
- Linux 2.6.20.4
-
-config BR2_LINUX_2_6_20
- bool "Linux 2.6.20"
- depends on BR2_PACKAGE_LINUX
- help
- Linux 2.6.20
-
-config BR2_LINUX_2_6_19_2
- bool "Linux 2.6.19.2"
- depends on BR2_PACKAGE_LINUX
- help
- Linux 2.6.19.2
-
-config BR2_LINUX_2_6_19
- bool "Linux 2.6.19"
- depends on BR2_PACKAGE_LINUX
- help
- Linux 2.6.19
-
-config BR2_LINUX_2_6_18
- bool "Linux 2.6.18"
- depends on BR2_PACKAGE_LINUX
- help
- Linux 2.6.18
-
-config BR2_LINUX_2_6_17
- bool "Linux 2.6.17"
- depends on BR2_PACKAGE_LINUX
- help
- Linux 2.6.17
-
-config BR2_LINUX_2_6_16
- bool "Linux 2.6.16"
- depends on BR2_PACKAGE_LINUX
- help
- Linux 2.6.16
-
-config BR2_LINUX_2_6_15
- bool "Linux 2.6.15"
- depends on BR2_PACKAGE_LINUX
- help
- Linux 2.6.15
-
-config BR2_LINUX_2_6_23
- bool "Linux 2.6.23"
- depends on BR2_PACKAGE_LINUX
- help
- Linux 2.6.23
-
-config BR2_LINUX_CUSTOM
- bool "Linux <custom> version"
- depends on BR2_PACKAGE_LINUX
- help
- Linux <your selection>
-
-endchoice
-
-config BR2_CUSTOM_DOWNLOAD_LINUX26_VERSION
- string "Linux Tarball version"
- depends on BR2_LINUX_CUSTOM
- default "linux-2.6.22"
-
-config BR2_CUSTOM_LINUX26_VERSION
- string "Linux Version"
- depends on BR2_LINUX_CUSTOM
- default "linux-2.6.22-version"
-
-config BR2_CUSTOM_LINUX26_RC_PATCH
- string "RC patch (if needed)"
- depends on BR2_LINUX_CUSTOM
- default "patch-2.6.22-rc6-mm1.bz2"
-
-menu "Patches"
- depends on BR2_PACKAGE_LINUX
-
-config BR2_LINUX_BSP_PATCH
- string "Additional patch to apply (supply full path)"
- default ""
-
-endmenu
-
-config BR2_DOWNLOAD_LINUX26_VERSION
- string #"Selected Tarball:"
- default "2.6.15" if BR2_LINUX_2_6_15
- default "2.6.16" if BR2_LINUX_2_6_16
- default "2.6.17" if BR2_LINUX_2_6_17
- default "2.6.18" if BR2_LINUX_2_6_18
- default "2.6.19" if BR2_LINUX_2_6_19
- default "2.6.19.2" if BR2_LINUX_2_6_19_2
- default "2.6.20" if BR2_LINUX_2_6_20
- default "2.6.20.4" if BR2_LINUX_2_6_20_4
- default "2.6.21" if BR2_LINUX_2_6_21
- default "2.6.21.1" if BR2_LINUX_2_6_21_1
- default "2.6.21.6" if BR2_LINUX_2_6_21_6
- default "2.6.22" if BR2_LINUX_2_6_22
- default "2.6.22.1" if BR2_LINUX_2_6_22_1
- default "2.6.22.10" if BR2_LINUX_2_6_22_10
- default "2.6.22" if BR2_LINUX_2_6_23_RC1
- default "2.6.22" if BR2_LINUX_2_6_SNAP
- default "2.6.22" if BR2_LINUX_2_6_MM
- default $(BR2_CUSTOM_DOWNLOAD_LINUX26_VERSION) if BR2_LINUX_CUSTOM
-
-config BR2_LINUX26_VERSION
- string #"Selected Version:"
- default "2.6.15" if BR2_LINUX_2_6_15
- default "2.6.16" if BR2_LINUX_2_6_16
- default "2.6.17" if BR2_LINUX_2_6_17
- default "2.6.18" if BR2_LINUX_2_6_18
- default "2.6.19" if BR2_LINUX_2_6_19
- default "2.6.19.2" if BR2_LINUX_2_6_19_2
- default "2.6.20" if BR2_LINUX_2_6_20
- default "2.6.20.4" if BR2_LINUX_2_6_20_4
- default "2.6.21" if BR2_LINUX_2_6_21
- default "2.6.21.1" if BR2_LINUX_2_6_21_1
- default "2.6.21.6" if BR2_LINUX_2_6_21_6
- default "2.6.22" if BR2_LINUX_2_6_22
- default "2.6.22.1" if BR2_LINUX_2_6_22_1
- default "2.6.22.10" if BR2_LINUX_2_6_22_10
- default "2.6.22" if BR2_LINUX_2_6_23_RC1
- default "2.6.22" if BR2_LINUX_2_6_SNAP
- default "2.6.22" if BR2_LINUX_2_6_MM
- default $(BR2_CUSTOM_LINUX26_VERSION) if BR2_LINUX_CUSTOM
-
-config BR2_LINUX26_RC_PATCH
- string #"Selected Patch:"
- default "" if BR2_LINUX_2_6_15
- default "" if BR2_LINUX_2_6_16
- default "" if BR2_LINUX_2_6_17
- default "" if BR2_LINUX_2_6_18
- default "" if BR2_LINUX_2_6_19
- default "" if BR2_LINUX_2_6_19_2
- default "" if BR2_LINUX_2_6_20
- default "" if BR2_LINUX_2_6_20_4
- default "" if BR2_LINUX_2_6_21
- default "" if BR2_LINUX_2_6_21_1
- default "" if BR2_LINUX_2_6_21_6
- default "" if BR2_LINUX_2_6_22
- default "" if BR2_LINUX_2_6_22_1
- default "" if BR2_LINUX_2_6_22_10
- default "patch-2.6.23-rc1.bz2" if BR2_LINUX_2_6_23_RC1
- default $(BR2_CUSTOM_LINUX26_RC_PATCH) if BR2_LINUX_CUSTOM
-
-choice
- prompt "Linux Kernel Configuration"
- depends on BR2_PACKAGE_LINUX
- default BR2_PACKAGE_LINUX_USE_KCONFIG
- help
- Select the way to configure the Linux
-
-config BR2_PACKAGE_LINUX_USE_KCONFIG
- bool ".config file"
- depends on BR2_PACKAGE_LINUX
- help
- kernel's .config to use to build a kernel for the target.
-
- If the above setting is empty, you can change the default
- board-imposed value by passing LINUX26_KCONFIG=<path> to
- make.
-
-config BR2_LINUX26_DEFCONFIG
- bool "Run make <board>_defconfig "
- depends on BR2_PACKAGE_LINUX
- help
- Configure Linux by make <board>_defconfig
-
-config BR2_LINUX_CUSTOMIZE
- bool "Run make ARCH=$(ARCH) xconfig before build"
- depends on BR2_PACKAGE_LINUX
- help
- Configure Linux by make xconfig
-endchoice
-
-config BR2_PACKAGE_LINUX_KCONFIG
- string ".config file"
- depends on BR2_PACKAGE_LINUX_USE_KCONFIG
- default "$(BR2_BOARD_PATH)/$(BR2_BOARD_NAME)-linux-$(LINUX26_VERSION).config"
- help
- kernel's .config to use to build a kernel for the target.
-
- If the above setting is empty, you can change the default
- board-imposed value by passing LINUX26_KCONFIG=<path> to
- make.
-
-choice
- prompt "kernel binary format"
- depends on BR2_PACKAGE_LINUX
- default BR2_LINUX_BIN_UIMAGE
- help
- Select the specific Linux binary type you want to use
-
-config BR2_LINUX_BIN_BZIMAGE
- bool "bzImage"
- depends on BR2_PACKAGE_LINUX
- help
- Linux 2.6.19.2
-
-config BR2_LINUX_BIN_UIMAGE
- bool "uImage"
- depends on BR2_PACKAGE_LINUX
- help
- Build uImage binary
-
-config BR2_LINUX_BIN_VMLINUX
- bool "vmlinux"
- depends on BR2_PACKAGE_LINUX
- help
- Build vmlinux binary
-
-config BR2_LINUX_BIN_ZIMAGE
- bool "zImage"
- depends on BR2_PACKAGE_LINUX
- help
- Linux 2.6.19.2
-
-config BR2_LINUX_BIN_CUSTOM
- bool "<custom> Linux binary"
- depends on BR2_PACKAGE_LINUX
- help
- Build custom Linux binary format
-endchoice
-
-config BR2_LINUX_BIN_CUSTOM_BIN
- string "custom kernel binary format"
- depends on BR2_LINUX_BIN_CUSTOM
- default ""
- help
- Which Linux binary format?
-
-config BR2_PACKAGE_LINUX_FORMAT
- string #"kernel binary format"
- depends on BR2_PACKAGE_LINUX
- default "bzImage" if BR2_LINUX_BIN_BZIMAGE
- default "uImage" if BR2_LINUX_BIN_UIMAGE
- default "vmlinux" if BR2_LINUX_BIN_VMLINUX
- default "zImage" if BR2_LINUX_BIN_ZIMAGE
- default $(BR2_LINUX_BIN_CUSTOM_BIN) if BR2_LINUX_BIN_CUSTOM
- help
- kernel binary format.
- Popular values include:
- - bzImage
- - zImage
- - vmlinux
- - zImage
- - xipImage
- and other, architecture dependant formats.
-
- Note that the default format is supposed to be set by your
- board-description, if any.
- i386 and compatible default to bzImage if nothing was given
- above.
- If the above setting is empty, you can change the default
- board-imposed value by passing LINUX26_FORMAT=<string> to
- make.
-
-comment "Destinations for linux kernel binaries"
- depends on BR2_PACKAGE_LINUX
-
-config BR2_LINUX_IN_ROOTFS
- bool "Copy kernel to root file system"
- depends on BR2_PACKAGE_LINUX
- help
- Copy kernel to <root>/boot directory
-
-menuconfig BR2_LINUX_COPY
- bool "Secondary Copy"
- depends on BR2_PACKAGE_LINUX
- default y
-
-config BR2_LINUX_COPYTO
- string "also copy the image to..."
- depends on BR2_LINUX_COPY
- default "/tftpboot"
- help
- Copy kernel to secondary location
-
-endif
diff --git a/target/linux/Config.in.versions b/target/linux/Config.in.versions
index a37a5ad93..d71504d46 100644
--- a/target/linux/Config.in.versions
+++ b/target/linux/Config.in.versions
@@ -1,11 +1,11 @@
# This file defines the latest version of
# You also have to edit BR2_LINUX_2_6_STABLE
# in target/linux/Config.in.advanced
-# which is approximately at line 132
+# which is approximately at line 136
config LINUX26_LATEST_RC_VERSION
string
- default "2.6.30-rc4" if BR2_KERNEL_ADD_LATEST_RC_PATCH
+ default "2.6.31-rc4" if BR2_KERNEL_ADD_LATEST_RC_PATCH
help
Not really available as of 20090103
@@ -19,21 +19,25 @@ config LINUX26_LATEST_MM_VERSION
config BR2_KERNEL_CURRENT_VERSION
string
- default "2.6.29.4"
+ default "2.6.30.2"
help
This is the latest stable kernel (including minor version)
+config BR2_KERNEL_LATEST_2_6_30
+ string
+ default "2"
+
config BR2_KERNEL_LATEST_2_6_29
string
- default "4"
+ default "6"
config BR2_KERNEL_LATEST_2_6_28
string
- default "7"
+ default "10"
config BR2_KERNEL_LATEST_2_6_27
string
- default "13"
+ default "27"
config BR2_KERNEL_LATEST_2_6_26
string
@@ -46,19 +50,3 @@ config BR2_KERNEL_LATEST_2_6_25
config BR2_KERNEL_LATEST_2_6_24
string
default "7"
-
-config BR2_KERNEL_LATEST_2_6_23
- string
- default "17"
-
-config BR2_KERNEL_LATEST_2_6_22
- string
- default "19"
-
-config BR2_KERNEL_LATEST_2_6_21
- string
- default "7"
-
-config BR2_KERNEL_LATEST_2_6_20
- string
- default "21"
diff --git a/target/linux/Makefile.in b/target/linux/Makefile.in
index ff0b88e34..3e8bc7b30 100644
--- a/target/linux/Makefile.in
+++ b/target/linux/Makefile.in
@@ -89,11 +89,8 @@ LINUX26_PATCH_DIR:=$(BOARD_PATH)/kernel-patches/
#"))
endif
endif
-__LINUX26_NO_PIC=-fPIC -fpic -DPIC -fwrapv -ftrapv
-__LINUX26_ZERO_OPTIMIZATION=-O0
LINUX26_MAKE_FLAGS = HOSTCC="$(HOSTCC)" HOSTCFLAGS="$(HOSTCFLAGS)" \
ARCH=$(KERNEL_ARCH) \
- CFLAGS_KERNEL="$(filter-out $(__LINUX26_NO_PIC) $(__LINUX26_ZERO_OPTIMIZATION),$(TARGET_CFLAGS))" \
INSTALL_MOD_PATH=$(TARGET_DIR) \
CROSS_COMPILE=$(KERNEL_CROSS) \
LDFLAGS="$(TARGET_LDFLAGS)" \
diff --git a/target/linux/Makefile.in.advanced b/target/linux/Makefile.in.advanced
index 9d878f2b0..47a1f4ebb 100644
--- a/target/linux/Makefile.in.advanced
+++ b/target/linux/Makefile.in.advanced
@@ -190,10 +190,8 @@ LINUX_KERNEL:=$(LINUX26_KERNEL)
# -----------------------------------------------------------------------------
LINUX26_BZCAT:=$(BZCAT)
-__LINUX26_NO_PIC=-fPIC -fpic -DPIC -fwrapv -ftrapv
LINUX26_MAKE_FLAGS = HOSTCC="$(HOSTCC)" HOSTCFLAGS="$(HOSTCFLAGS)" \
ARCH=$(KERNEL_ARCH) \
- CFLAGS_KERNEL="$(filter-out $(__LINUX26_NO_PIC),$(TARGET_CFLAGS))" \
INSTALL_MOD_PATH=$(TARGET_DIR) \
CROSS_COMPILE=$(KERNEL_CROSS) \
LDFLAGS="$(TARGET_LDFLAGS)" \
@@ -549,6 +547,7 @@ linux-status:
@echo LINUX26_SOURCE=$(LINUX26_SOURCE)
@echo LINUX26_TARGETS=$(LINUX26_TARGETS)
@echo LINUX26_VERSION=$(LINUX26_VERSION)
+ @echo LINUX26_MAKE_FLAGS=$(LINUX26_MAKE_FLAGS)
@echo PROJECT_BUILD_DIR=$(PROJECT_BUILD_DIR)
@echo TARGETS=$(TARGETS)
diff --git a/target/xtensa/.gitignore b/target/xtensa/.gitignore
new file mode 100644
index 000000000..cff61bf9e
--- /dev/null
+++ b/target/xtensa/.gitignore
@@ -0,0 +1 @@
+/busybox-config
diff --git a/target/xtensa/Makefile.in b/target/xtensa/Makefile.in
new file mode 100644
index 000000000..8a654b998
--- /dev/null
+++ b/target/xtensa/Makefile.in
@@ -0,0 +1 @@
+-include target/xtensa/*/*.mk
diff --git a/target/xtensa/defconfig b/target/xtensa/defconfig
new file mode 100644
index 000000000..4127f5308
--- /dev/null
+++ b/target/xtensa/defconfig
@@ -0,0 +1,133 @@
+# Default buildroot configuration for running Linux on an Xtensa processor
+# on an LX60 board.
+
+#
+# Project Options
+#
+BR2_BANNER="Welcome to your custom Xtensa processor based uClibc environment."
+BR2_HAVE_DOT_CONFIG=y
+BR2_xtensa=y
+BR2_xtensa_dc232b=y
+BR2_xtensa_core_name="dc232b"
+BR2_ARCH="xtensa"
+
+#
+# Build options
+#
+BR2_WGET="wget --passive-ftp"
+# BR2_STRIP_strip is not set
+# BR2_STRIP_none=y
+
+## Added by Maxim
+BR2_UPDATE_CONFIG=y
+
+#
+# Kernel Header Options
+#
+BR2_KERNEL_none=y
+BR2_KERNEL_HEADERS_2_6_22_1=y
+BR2_DEFAULT_KERNEL_HEADERS="2.6.22.1"
+
+#
+# uClibc Options
+#
+BR2_UCLIBC_VERSION_0_9_30=y
+# BR2_UCLIBC_VERSION_SNAPSHOT is not set
+BR2_UCLIBC_CONFIG="target/xtensa/uClibc-0.9.30.config"
+BR2_PTHREADS_OLD=y
+# BR2_PTHREADS_NATIVE is not set
+BR2_PTHREAD_DEBUG=y
+
+#
+# Binutils Options
+#
+BR2_BINUTILS_VERSION_2_19=y
+BR2_BINUTILS_VERSION="2.19"
+BR2_EXTRA_BINUTILS_CONFIG_OPTIONS=""
+
+#
+# Gcc Options
+#
+BR2_GCC_VERSION_4_3_2=y
+# BR2_GCC_IS_SNAP is not set
+BR2_GCC_VERSION="4.3.2"
+BR2_TOOLCHAIN_SYSROOT=y
+BR2_EXTRA_GCC_CONFIG_OPTIONS=""
+BR2_GCC_CROSS_CXX=y
+BR2_INSTALL_LIBSTDCPP=y
+BR2_GCC_SHARED_LIBGCC=y
+
+#
+# Gdb Options
+#
+BR2_PACKAGE_GDB=y
+BR2_PACKAGE_GDB_SERVER=y
+BR2_PACKAGE_GDB_HOST=y
+# BR2_GDB_VERSION_6_2_1 is not set
+# BR2_GDB_VERSION_6_3 is not set
+# BR2_GDB_VERSION_6_4 is not set
+# BR2_GDB_VERSION_6_5 is not set
+# BR2_GDB_VERSION_6_6 is not set
+# BR2_GDB_VERSION_6_7_1 is not set
+BR2_GDB_VERSION_6_8=y
+# BR2_GDB_VERSION_SNAPSHOT is not set
+BR2_GDB_VERSION="6.8"
+
+#
+# Common Toolchain Options
+#
+# BR2_PACKAGE_SSTRIP_TARGET is not set
+# BR2_PACKAGE_SSTRIP_HOST is not set
+# BR2_ENABLE_MULTILIB is not set
+BR2_LARGEFILE=y
+BR2_INET_RPC=y
+BR2_TARGET_OPTIMIZATION="-Os -pipe"
+BR2_CROSS_TOOLCHAIN_TARGET_UTILS=y
+
+
+## These two added by Maxim
+BR2_TOOLCHAIN_BUILDROOT=y
+BR2_TOOLCHAIN_SOURCE=y
+
+
+BR2_PACKAGE_BUSYBOX_HIDE_OTHERS=y
+
+#
+# Other development stuff
+#
+BR2_HOST_FAKEROOT=y
+# BR2_PACKAGE_LIBINTL is not set
+# For NFS mount:
+BR2_PACKAGE_PORTMAP=y
+
+#
+# Other stuff
+#
+
+#
+# filesystem for target device
+#
+BR2_TARGET_ROOTFS_CPIO=y
+BR2_TARGET_ROOTFS_CPIO_GZIP=y
+BR2_TARGET_ROOTFS_INITRAMFS=y
+
+#
+# Linux Options
+#
+# BR2_PACKAGE_LINUX is not set
+
+#
+# Board Support Options
+#
+BR2_TARGET_XTENSA=y
+
+#
+# Tensilica Xtensa/Diamond based Device Support
+#
+BR2_TARGET_XTENSA_XTAV60=y
+
+#
+# Compressors / decompressors
+#
+
+BR2_PACKAGE_ZLIB=y
diff --git a/target/xtensa/patch.in b/target/xtensa/patch.in
new file mode 100644
index 000000000..5b723a8b4
--- /dev/null
+++ b/target/xtensa/patch.in
@@ -0,0 +1,33 @@
+ifneq ($(filter xtensa%,$(ARCH)),)
+#############################################################
+#
+# Xtensa processor architecture (including Diamond Standard cores)
+#
+#############################################################
+
+# The following defines a function to be used like this:
+# $(call XTENSA_PATCH, <module>, <patchdir>, <relative dir list...>)
+# which returns the first overlay patch file for <module> found
+# in the list of directories <relative dir list...> which are
+# relative to <patchdir> (itself either absolute or relative to the
+# current directory). The returned filename is relative to <patchdir>.
+# For example:
+# $(call XTENSA_PATCH, binutils, some/dir/path, . ..)
+# (no commas between directory paths in the list).
+#
+# A selected overlay patch must exist ("fsf" means no specific
+# overlay is selected). So the function emits a Makefile error
+# if a selected patch file is not found.
+
+XTENSA_CORENAME:=$(strip $(subst ",,$(BR2_xtensa_core_name)))
+ifeq ($(XTENSA_CORENAME),fsf)
+XTENSA_PATCH =
+else
+XTENSA_PATCH_SUFFIX = $(1)-xtensa_$(XTENSA_CORENAME).tgz
+XTENSA_PATCH_FILE = $(firstword $(wildcard $(patsubst %,$(2)/%/*$(XTENSA_PATCH_SUFFIX),$(3))))
+# FULLPATH = $(if $(filter /%,$(1)),$(1),$(PWD)/$(1))
+XTENSA_PATCH = $(if $(XTENSA_PATCH_FILE),$(patsubst $(2)/%,%,$(XTENSA_PATCH_FILE)),\
+ $(error Missing $(1) patch for Xtensa $(XTENSA_CORENAME) processor (*$(XTENSA_PATCH_SUFFIX) in $(addprefix $(2)/,$(3)))))
+endif
+
+endif
diff --git a/target/xtensa/setup-config b/target/xtensa/setup-config
new file mode 100644
index 000000000..7ef8fe86e
--- /dev/null
+++ b/target/xtensa/setup-config
@@ -0,0 +1,57 @@
+#!/bin/sh
+
+# Convenience script for setting up a default buildroot config
+# for Xtensa processor targets..
+
+usage() {
+ echo "Usage (invoke from top of buildroot tree):"
+ echo " ./target/xtensa/setup-config <corename>"
+ #echo " ./target/xtensa/setup-config <corename> [<overlaypath>]"
+ echo "where:"
+ echo " <corename> is the Xtensa core overlay name, as specified in the -c option"
+ echo " of the ./target/xtensa/xt-buildroot-overlay-install script."
+ echo ""
+ echo "For example:"
+ echo " ./target/xtensa/setup-config dc232b"
+ echo ""
+ echo "Currently installed (available) core overlay names are:"
+ echo " " `ls toolchain/binutils/binutils-xtensa_*.tgz | sed -e 's,toolchain\/binutils\/binutils-xtensa_\(.*\)\.tgz,\1,g'`
+ exit 1
+}
+
+if [ $# -ne 1 ]; then
+ usage
+fi
+
+core=$1 ; shift
+
+if [ ! -f toolchain/binutils/binutils-xtensa_${core}.tgz \
+ -o ! -f toolchain/gcc/gcc-xtensa_${core}.tgz \
+ -o ! -f toolchain/gdb/gdb-xtensa_${core}.tgz ]; then
+ echo "ERROR: Did not find an installed Xtensa core overlay named '${core}'."
+ echo "ERROR: Please install it first with ./target/xtensa/xt-buildroot-overlay-install"
+ echo ""
+ usage
+fi
+
+# Use preset buildroot config:
+cp target/xtensa/defconfig .defconfig-xtensa
+# Set core name:
+sed -i -e 's,^BR2_xtensa_\(.*\)=y,BR2_xtensa_custom=y\nBR2_xtensa_custom_name="'${core}'",' .defconfig-xtensa
+## sed -i -e 's,^.*BR2_xtensa_core_name.*,BR_xtensa_core_name="'${core}'",' .defconfig-xtensa
+# Create full .config with defaults:
+make clean defconfig CONFIG_DEFCONFIG=.defconfig-xtensa || exit 1
+
+# Busybox adjustments: turn off 'ar' (can't create archives yet overrides real one)
+# and turn on NFS mounting (Xtensa defconfig turns on RPC so this can work):
+#
+bborig=`grep '^BR2_PACKAGE_BUSYBOX_CONFIG=' .config | sed -e 's,.*"\(.*\)".*,\1,'`
+bbconf=target/xtensa/busybox-config
+cp $bborig $bbconf
+sed -i -e 's,^CONFIG_AR=y,# CONFIG_AR is not set,' $bbconf
+sed -i -e 's,^.*CONFIG_FEATURE_MOUNT_NFS.*,CONFIG_FEATURE_MOUNT_NFS=y,' $bbconf
+# Make use of above busybox adjustments:
+sed -i -e 's,.*\(BR2_PACKAGE_BUSYBOX_CONFIG\).*,\1="'$bbconf'",' .config
+
+echo "Done."
+
diff --git a/target/xtensa/uClibc-0.9.30.config b/target/xtensa/uClibc-0.9.30.config
new file mode 100644
index 000000000..cc6815d07
--- /dev/null
+++ b/target/xtensa/uClibc-0.9.30.config
@@ -0,0 +1,245 @@
+#
+# Automatically generated make config: don't edit
+# Thu Jan 23 14:50:00 2009
+#
+# TARGET_alpha is not set
+# TARGET_arm is not set
+# TARGET_avr32 is not set
+# TARGET_bfin is not set
+# TARGET_cris is not set
+# TARGET_e1 is not set
+# TARGET_frv is not set
+# TARGET_h8300 is not set
+# TARGET_hppa is not set
+# TARGET_i386 is not set
+# TARGET_i960 is not set
+# TARGET_ia64 is not set
+# TARGET_m68k is not set
+# TARGET_microblaze is not set
+# TARGET_mips is not set
+# TARGET_nios is not set
+# TARGET_nios2 is not set
+# TARGET_powerpc is not set
+# TARGET_sh is not set
+# TARGET_sh64 is not set
+# TARGET_sparc is not set
+# TARGET_v850 is not set
+# TARGET_vax is not set
+# TARGET_x86_64 is not set
+TARGET_xtensa=y
+
+#
+# Target Architecture Features and Options
+#
+TARGET_ARCH="xtensa"
+FORCE_OPTIONS_FOR_ARCH=y
+# ARCH_LITTLE_ENDIAN is not set
+# ARCH_BIG_ENDIAN is not set
+# ARCH_WANTS_LITTLE_ENDIAN is not set
+# ARCH_WANTS_BIG_ENDIAN is not set
+
+#
+# Using ELF file format
+#
+ARCH_HAS_MMU=y
+ARCH_USE_MMU=y
+UCLIBC_HAS_FLOATS=y
+UCLIBC_HAS_FPU=y
+DO_C99_MATH=y
+# UCLIBC_HAS_FENV is not set
+UCLIBC_HAS_LONG_DOUBLE_MATH=y
+KERNEL_HEADERS="/usr/src/linux/include"
+HAVE_DOT_CONFIG=y
+
+#
+# General Library Settings
+#
+# HAVE_NO_PIC is not set
+DOPIC=y
+# ARCH_HAS_NO_SHARED is not set
+# ARCH_HAS_NO_LDSO is not set
+HAVE_SHARED=y
+# FORCE_SHAREABLE_TEXT_SEGMENTS is not set
+LDSO_LDD_SUPPORT=y
+LDSO_CACHE_SUPPORT=y
+# LDSO_PRELOAD_FILE_SUPPORT is not set
+LDSO_BASE_FILENAME="ld.so"
+# UCLIBC_STATIC_LDCONFIG is not set
+# LDSO_RUNPATH is not set
+UCLIBC_CTOR_DTOR=y
+# LDSO_GNU_HASH_SUPPORT is not set
+# HAS_NO_THREADS is not set
+UCLIBC_HAS_THREADS=y
+PTHREADS_DEBUG_SUPPORT=y
+LINUXTHREADS_OLD=y
+UCLIBC_HAS_SYSLOG=y
+UCLIBC_HAS_LFS=y
+# MALLOC is not set
+# MALLOC_SIMPLE is not set
+MALLOC_STANDARD=y
+MALLOC_GLIBC_COMPAT=y
+UCLIBC_DYNAMIC_ATEXIT=y
+# COMPAT_ATEXIT is not set
+UCLIBC_SUSV3_LEGACY=y
+UCLIBC_SUSV3_LEGACY_MACROS=y
+# UCLIBC_HAS_STUBS is not set
+UCLIBC_HAS_SHADOW=y
+# UCLIBC_HAS_PROGRAM_INVOCATION_NAME is not set
+UCLIBC_HAS___PROGNAME=y
+UCLIBC_HAS_PTY=y
+UNIX98PTY_ONLY=y
+# UCLIBC_HAS_GETPT is not set
+ASSUME_DEVPTS=y
+UCLIBC_HAS_TM_EXTENSIONS=y
+UCLIBC_HAS_TZ_CACHING=y
+UCLIBC_HAS_TZ_FILE=y
+UCLIBC_HAS_TZ_FILE_READ_MANY=y
+UCLIBC_TZ_FILE_PATH="/etc/TZ"
+
+#
+# Advanced Library Settings
+#
+UCLIBC_PWD_BUFFER_SIZE=256
+UCLIBC_GRP_BUFFER_SIZE=256
+UCLIBC_HAS_NONREENTRANT=y
+
+#
+# Networking Support
+#
+
+UCLIBC_LINUX_MODULE_24=y
+UCLIBC_LINUX_SPECIFIC=y
+UCLIBC_HAS_GNU_ERROR=y
+UCLIBC_BSD_SPECIFIC=y
+UCLIBC_HAS_BSD_ERR=y
+UCLIBC_HAS_OBSOLETE_BSD_SIGNAL=y
+UCLIBC_HAS_OBSOLETE_SYSV_SIGNAL=y
+# UCLIBC_NTP_LEGACY is not set
+# UCLIBC_SV4_DEPRECATED is not set
+UCLIBC_HAS_REALTIME=y
+UCLIBC_HAS_ADVANCED_REALTIME=y
+UCLIBC_HAS_EPOLL=y
+UCLIBC_HAS_XATTR=y
+UCLIBC_HAS_PROFILING=y
+UCLIBC_HAS_CRYPT_IMPL=y
+UCLIBC_HAS_CRYPT=y
+UCLIBC_HAS_NETWORK_SUPPORT=y
+UCLIBC_HAS_SOCKET=y
+UCLIBC_HAS_IPV4=y
+UCLIBC_HAS_IPV6=y
+UCLIBC_HAS_RPC=y
+UCLIBC_HAS_FULL_RPC=y
+UCLIBC_HAS_REENTRANT_RPC=y
+UCLIBC_USE_NETLINK=y
+# UCLIBC_SUPPORT_AI_ADDRCONFIG is not set
+# UCLIBC_HAS_BSD_RES_CLOSE is not set
+
+
+#
+# String and Stdio Support
+#
+# UCLIBC_HAS_STRING_GENERIC_OPT is not set
+# UCLIBC_HAS_STRING_ARCH_OPT is not set
+UCLIBC_HAS_CTYPE_TABLES=y
+UCLIBC_HAS_CTYPE_SIGNED=y
+# UCLIBC_HAS_CTYPE_UNSAFE is not set
+# UCLIBC_HAS_CTYPE_CHECKED is not set
+# UCLIBC_HAS_CTYPE_ENFORCED is not set
+# UCLIBC_HAS_WCHAR is not set
+# UCLIBC_HAS_LOCALE is not set
+UCLIBC_HAS_HEXADECIMAL_FLOATS=y
+UCLIBC_HAS_GLIBC_CUSTOM_PRINTF=y
+# USE_OLD_VFPRINTF is not set
+UCLIBC_PRINTF_SCANF_POSITIONAL_ARGS=9
+UCLIBC_HAS_SCANF_GLIBC_A_FLAG=y
+# UCLIBC_HAS_STDIO_BUFSIZ_NONE is not set
+# UCLIBC_HAS_STDIO_BUFSIZ_256 is not set
+# UCLIBC_HAS_STDIO_BUFSIZ_512 is not set
+# UCLIBC_HAS_STDIO_BUFSIZ_1024 is not set
+# UCLIBC_HAS_STDIO_BUFSIZ_2048 is not set
+UCLIBC_HAS_STDIO_BUFSIZ_4096=y
+# UCLIBC_HAS_STDIO_BUFSIZ_8192 is not set
+UCLIBC_HAS_STDIO_BUILTIN_BUFFER_NONE=y
+# UCLIBC_HAS_STDIO_BUILTIN_BUFFER_4 is not set
+# UCLIBC_HAS_STDIO_BUILTIN_BUFFER_8 is not set
+# UCLIBC_HAS_STDIO_SHUTDOWN_ON_ABORT is not set
+# UCLIBC_HAS_STDIO_GETC_MACRO is not set
+# UCLIBC_HAS_STDIO_PUTC_MACRO is not set
+UCLIBC_HAS_STDIO_AUTO_RW_TRANSITION=y
+# UCLIBC_HAS_FOPEN_LARGEFILE_MODE is not set
+UCLIBC_HAS_FOPEN_EXCLUSIVE_MODE=y
+UCLIBC_HAS_GLIBC_CUSTOM_STREAMS=y
+UCLIBC_HAS_PRINTF_M_SPEC=y
+UCLIBC_HAS_ERRNO_MESSAGES=y
+# UCLIBC_HAS_SYS_ERRLIST is not set
+UCLIBC_HAS_SIGNUM_MESSAGES=y
+# UCLIBC_HAS_SYS_SIGLIST is not set
+UCLIBC_HAS_GNU_GETOPT=y
+# UCLIBC_HAS_GNU_GETSUBOPT is not set
+
+#
+# Big and Tall
+#
+UCLIBC_HAS_REGEX=y
+# UCLIBC_HAS_REGEX_OLD is not set
+UCLIBC_HAS_FNMATCH=y
+# UCLIBC_HAS_FNMATCH_OLD is not set
+# UCLIBC_HAS_WORDEXP is not set
+UCLIBC_HAS_FTW=y
+UCLIBC_HAS_GLOB=y
+UCLIBC_HAS_GNU_GLOB=y
+
+#
+# Library Installation Options
+#
+SHARED_LIB_LOADER_PREFIX="/lib"
+RUNTIME_PREFIX="/"
+DEVEL_PREFIX="/usr/"
+
+#
+# Security options
+#
+# UCLIBC_BUILD_PIE is not set
+UCLIBC_HAS_ARC4RANDOM=y
+# HAVE_NO_SSP is not set
+# UCLIBC_HAS_SSP is not set
+UCLIBC_BUILD_RELRO=y
+UCLIBC_BUILD_NOW=y
+# UCLIBC_BUILD_NOEXECSTACK is not set
+
+#
+# uClibc development/debugging options
+#
+CROSS_COMPILER_PREFIX=""
+UCLIBC_EXTRA_CFLAGS=""
+# DODEBUG is not set
+# DODEBUG_PT is not set
+DOSTRIP=y
+# DOASSERTS is not set
+# SUPPORT_LD_DEBUG is not set
+# SUPPORT_LD_DEBUG_EARLY is not set
+# UCLIBC_MALLOC_DEBUGGING is not set
+WARNINGS="-Wall"
+# EXTRA_WARNINGS is not set
+# DOMULTI is not set
+# UCLIBC_MJN3_ONLY is not set
+
+# USE_BX is not set
+# CONFIG_GENERIC_ARM is not set
+# CONFIG_ARM610 is not set
+# CONFIG_ARM710 is not set
+# CONFIG_ARM7TDMI is not set
+# CONFIG_ARM720T is not set
+# CONFIG_ARM920T is not set
+# CONFIG_ARM922T is not set
+# CONFIG_ARM926T is not set
+# CONFIG_ARM10T is not set
+# CONFIG_ARM1136JF_S is not set
+# CONFIG_ARM1176JZ_S is not set
+# CONFIG_ARM1176JZF_S is not set
+# CONFIG_ARM_CORTEX_M3 is not set
+# CONFIG_ARM_CORTEX_M1 is not set
+# CONFIG_ARM_SA110 is not set
+# CONFIG_ARM_SA1100 is not set
+# CONFIG_ARM_XSCALE is not set
+# CONFIG_ARM_IWMMXT is not set
diff --git a/target/xtensa/uClibc.config b/target/xtensa/uClibc.config
new file mode 100644
index 000000000..546a04534
--- /dev/null
+++ b/target/xtensa/uClibc.config
@@ -0,0 +1,190 @@
+#
+# Automatically generated make config: don't edit
+# Thu Jan 10 00:46:51 2008
+#
+# TARGET_alpha is not set
+# TARGET_arm is not set
+# TARGET_avr32 is not set
+# TARGET_bfin is not set
+# TARGET_cris is not set
+# TARGET_e1 is not set
+# TARGET_frv is not set
+# TARGET_h8300 is not set
+# TARGET_hppa is not set
+# TARGET_i386 is not set
+# TARGET_i960 is not set
+# TARGET_ia64 is not set
+# TARGET_m68k is not set
+# TARGET_microblaze is not set
+# TARGET_mips is not set
+# TARGET_nios is not set
+# TARGET_nios2 is not set
+# TARGET_powerpc is not set
+# TARGET_sh is not set
+# TARGET_sh64 is not set
+# TARGET_sparc is not set
+# TARGET_v850 is not set
+# TARGET_vax is not set
+# TARGET_x86_64 is not set
+TARGET_xtensa=y
+
+#
+# Target Architecture Features and Options
+#
+TARGET_ARCH="xtensa"
+TARGET_SUBARCH=""
+
+#
+# Using ELF file format
+#
+ARCH_HAS_MMU=y
+ARCH_USE_MMU=y
+UCLIBC_HAS_FLOATS=y
+UCLIBC_HAS_FPU=y
+DO_C99_MATH=y
+KERNEL_HEADERS="/usr/src/linux/include"
+HAVE_DOT_CONFIG=y
+
+#
+# General Library Settings
+#
+# HAVE_NO_PIC is not set
+DOPIC=y
+# HAVE_NO_SHARED is not set
+# ARCH_HAS_NO_LDSO is not set
+HAVE_SHARED=y
+# FORCE_SHAREABLE_TEXT_SEGMENTS is not set
+LDSO_LDD_SUPPORT=y
+LDSO_CACHE_SUPPORT=y
+# LDSO_PRELOAD_FILE_SUPPORT is not set
+LDSO_BASE_FILENAME="ld.so"
+# UCLIBC_STATIC_LDCONFIG is not set
+# LDSO_RUNPATH is not set
+UCLIBC_CTOR_DTOR=y
+# HAS_NO_THREADS is not set
+UCLIBC_HAS_THREADS=y
+PTHREADS_DEBUG_SUPPORT=y
+LINUXTHREADS_OLD=y
+UCLIBC_HAS_LFS=y
+# MALLOC is not set
+# MALLOC_SIMPLE is not set
+MALLOC_STANDARD=y
+MALLOC_GLIBC_COMPAT=y
+UCLIBC_DYNAMIC_ATEXIT=y
+# COMPAT_ATEXIT is not set
+# UCLIBC_SUSV3_LEGACY is not set
+UCLIBC_SUSV3_LEGACY_MACROS=y
+UCLIBC_HAS_SHADOW=y
+# UCLIBC_HAS_PROGRAM_INVOCATION_NAME is not set
+UCLIBC_HAS___PROGNAME=y
+# UNIX98PTY_ONLY is not set
+ASSUME_DEVPTS=y
+UCLIBC_HAS_TM_EXTENSIONS=y
+UCLIBC_HAS_TZ_CACHING=y
+UCLIBC_HAS_TZ_FILE=y
+UCLIBC_HAS_TZ_FILE_READ_MANY=y
+UCLIBC_TZ_FILE_PATH="/etc/TZ"
+
+#
+# Advanced Library Settings
+#
+UCLIBC_PWD_BUFFER_SIZE=256
+UCLIBC_GRP_BUFFER_SIZE=256
+
+#
+# Networking Support
+#
+UCLIBC_HAS_IPV6=y
+UCLIBC_HAS_RPC=y
+UCLIBC_HAS_FULL_RPC=y
+UCLIBC_HAS_REENTRANT_RPC=y
+# UCLIBC_USE_NETLINK is not set
+# UCLIBC_HAS_BSD_RES_CLOSE is not set
+
+#
+# String and Stdio Support
+#
+UCLIBC_HAS_STRING_GENERIC_OPT=y
+UCLIBC_HAS_STRING_ARCH_OPT=y
+UCLIBC_HAS_CTYPE_TABLES=y
+UCLIBC_HAS_CTYPE_SIGNED=y
+# UCLIBC_HAS_CTYPE_UNSAFE is not set
+UCLIBC_HAS_CTYPE_CHECKED=y
+# UCLIBC_HAS_CTYPE_ENFORCED is not set
+# UCLIBC_HAS_WCHAR is not set
+# UCLIBC_HAS_LOCALE is not set
+UCLIBC_HAS_HEXADECIMAL_FLOATS=y
+UCLIBC_HAS_GLIBC_CUSTOM_PRINTF=y
+# USE_OLD_VFPRINTF is not set
+UCLIBC_PRINTF_SCANF_POSITIONAL_ARGS=9
+UCLIBC_HAS_SCANF_GLIBC_A_FLAG=y
+# UCLIBC_HAS_STDIO_BUFSIZ_NONE is not set
+# UCLIBC_HAS_STDIO_BUFSIZ_256 is not set
+# UCLIBC_HAS_STDIO_BUFSIZ_512 is not set
+# UCLIBC_HAS_STDIO_BUFSIZ_1024 is not set
+# UCLIBC_HAS_STDIO_BUFSIZ_2048 is not set
+UCLIBC_HAS_STDIO_BUFSIZ_4096=y
+# UCLIBC_HAS_STDIO_BUFSIZ_8192 is not set
+UCLIBC_HAS_STDIO_BUILTIN_BUFFER_NONE=y
+# UCLIBC_HAS_STDIO_BUILTIN_BUFFER_4 is not set
+# UCLIBC_HAS_STDIO_BUILTIN_BUFFER_8 is not set
+# UCLIBC_HAS_STDIO_SHUTDOWN_ON_ABORT is not set
+UCLIBC_HAS_STDIO_GETC_MACRO=y
+UCLIBC_HAS_STDIO_PUTC_MACRO=y
+UCLIBC_HAS_STDIO_AUTO_RW_TRANSITION=y
+# UCLIBC_HAS_FOPEN_LARGEFILE_MODE is not set
+UCLIBC_HAS_FOPEN_EXCLUSIVE_MODE=y
+UCLIBC_HAS_GLIBC_CUSTOM_STREAMS=y
+UCLIBC_HAS_PRINTF_M_SPEC=y
+UCLIBC_HAS_ERRNO_MESSAGES=y
+# UCLIBC_HAS_SYS_ERRLIST is not set
+UCLIBC_HAS_SIGNUM_MESSAGES=y
+# UCLIBC_HAS_SYS_SIGLIST is not set
+UCLIBC_HAS_GNU_GETOPT=y
+UCLIBC_HAS_GNU_GETSUBOPT=y
+
+#
+# Big and Tall
+#
+UCLIBC_HAS_REGEX=y
+UCLIBC_HAS_REGEX_OLD=y
+UCLIBC_HAS_FNMATCH=y
+UCLIBC_HAS_FNMATCH_OLD=y
+# UCLIBC_HAS_WORDEXP is not set
+UCLIBC_HAS_FTW=y
+UCLIBC_HAS_GLOB=y
+UCLIBC_HAS_GNU_GLOB=y
+
+#
+# Library Installation Options
+#
+SHARED_LIB_LOADER_PREFIX="/lib"
+RUNTIME_PREFIX="/"
+DEVEL_PREFIX="/usr/"
+
+#
+# Security options
+#
+# UCLIBC_HAS_ARC4RANDOM is not set
+# HAVE_NO_SSP is not set
+# UCLIBC_HAS_SSP is not set
+UCLIBC_BUILD_RELRO=y
+UCLIBC_BUILD_NOW=y
+# UCLIBC_BUILD_NOEXECSTACK is not set
+
+#
+# uClibc development/debugging options
+#
+CROSS_COMPILER_PREFIX=""
+UCLIBC_EXTRA_CFLAGS=""
+# DODEBUG is not set
+# DOSTRIP is not set
+# DODEBUG_PT is not set
+# DOASSERTS is not set
+SUPPORT_LD_DEBUG=y
+# SUPPORT_LD_DEBUG_EARLY is not set
+# UCLIBC_MALLOC_DEBUGGING is not set
+WARNINGS="-Wall"
+EXTRA_WARNINGS=y
+# DOMULTI is not set
+# UCLIBC_MJN3_ONLY is not set
diff --git a/target/xtensa/xt-buildroot-overlay-install b/target/xtensa/xt-buildroot-overlay-install
new file mode 100644
index 000000000..d2afce124
--- /dev/null
+++ b/target/xtensa/xt-buildroot-overlay-install
@@ -0,0 +1,488 @@
+#!/bin/sh
+# Not every host installs perl at the same location, handle many locations:
+PATH=/usr/bin:/usr/local/bin:$PATH
+exec perl -x -S $0 ${1+"$@"}
+exit $?
+#!perl -w
+#line 8
+
+# xt-buildroot-overlay-install [-t overlay_tarball] [-b buildroot_dir] \
+# [-k kernel_dir] \
+# [-c config_name] [-l long_name] [-f] [--help]
+#
+# Creates individual overlay tarballs for gcc, binutils, gdb, and
+# the Linux kernel, out of the Xtensa Configuration Overlay tarball from
+# a Tensilica Core Package. And installs these individual tarballs
+# at the appropriate locations within a buildroot source tree.
+#
+# The Xtensa configuration overlay tarball is located in:
+# <xtensa_root>/src/xtensa-config-overlay.tar.gz
+# where <xtensa_root> is the path to the Tensilica Core Package.
+#
+# Copyright (c) 2003-2009 by Tensilica Inc.
+# History:
+# 2007-NOV-08 1.0 meg Initial version
+# 2007-NOV-21 1.1 meg Add -k parameter
+# 2007-DEC-06 1.2 meg Make -k and -b optional, check overlay sw vers.
+# 2008-FEB-27 1.3 meg Accept Xtensa Tools RB-2008.3 overlays
+
+$progvers = "1.3";
+$progname = $0;
+$progname =~ s|.*[/\\:]||;
+
+
+######################################################################
+#
+# Parse cmdline
+#
+
+my $overlay_tarball = undef;
+my $buildroot_dir = undef;
+my $kernel_dir = undef;
+my $config_name = undef;
+my $config_long_name = undef;
+my $force_clobber = 0;
+my $prompt = 1; # undocumented option
+
+sub usage {
+ print "$progname version $progvers\n"
+ ."Usage: $progname <parameters> [<options>]\n"
+ ."Where <parameters> are:\n"
+ ." -t file.tgz Specify path to the Xtensa Linux overlay tarball, typically\n"
+ ." <xtensa_root>/src/xtensa-config-overlay.tar.gz\n"
+ ." -b dir Path to the base of the buildroot source tree, in which\n"
+ ." package specific overlay tarballs get installed.\n"
+ ." -k dir Path to the base of the Linux kernel source tree, in which\n"
+ ." the Linux kernel specific overlay gets installed.\n"
+ ." -c config_name Name for the Xtensa processor configuration as it will be\n"
+ ." known to the open source community. Must be a lowercase\n"
+ ." identifier, starting with a letter, consisting of letters\n"
+ ." and numbers and underscores, not ending with underscore\n"
+ ." and not containing consecutive underscores. For examples:\n"
+ ." dc232b , dc232b_be , mmubasele , fsf , s5000 .\n"
+ ." -l long_name Long name for the Xtensa processor configuration, human-\n"
+ ." readable with spaces etc allowed (must be quoted).\n"
+ ." For example: 'Diamond 232L Standard Core Rev.B (LE)'\n"
+ ." Try to keep it within approximately 40 characters.\n"
+ ."And <options> are:\n"
+ ." -f If package specific overlay tarballs already exist in\n"
+ ." the destination source tree, overwrite them without asking.\n"
+ ." --help Show this usage message.\n";
+}
+
+# Get arguments:
+if (!@ARGV) {
+ usage();
+ exit 0;
+}
+while( defined($_ = shift) ) {
+ if( /^-[tbclk]$/ ) { # option taking an argument
+ my $arg = shift;
+ if( !defined($arg) ) {
+ print STDERR "$progname: ERROR: missing parameter after '$_' option\n\n";
+ usage();
+ exit 1;
+ }
+ $overlay_tarball = $arg if $_ eq "-t";
+ $buildroot_dir = $arg if $_ eq "-b";
+ $kernel_dir = $arg if $_ eq "-k";
+ $config_name = $arg if $_ eq "-c";
+ $config_long_name = $arg if $_ eq "-l";
+ next;
+ }
+ if( /^-f$/ ) {
+ $force_clobber = 1;
+ next;
+ }
+ if( /^--[m-t]{8}$/ && /[new]([wow])([pup])[fur]\1[maze]\2[tuff]/ ) {
+ $prompt = 0;
+ next;
+ }
+ if( /^-(h|help|\-h|\-help|\?)$/i ) {
+ usage();
+ exit 0;
+ }
+ print STDERR "$progname: ERROR: unrecognized option or argument '$_'\n\n";
+ usage();
+ exit 1;
+}
+
+
+######################################################################
+#
+# Validate cmdline arguments
+#
+
+ErrorU("missing -c argument (core name)")
+ unless defined($config_name);
+# Try to enforce reasonable names:
+ErrorU("-c: malformed core name '$config_name' (must be lowercase, letter followed by letters/digits, may contain underscore separators)")
+ unless $config_name =~ /^[a-z][a-z0-9]*(_[a-z0-9]+)*$/;
+ErrorU("-c: core name too short '$config_name'")
+ unless length($config_name) >= 2;
+ErrorU("-c: core name too long '$config_name'")
+ unless length($config_name) <= 16;
+
+
+ErrorU("missing -l argument (core long name)")
+ unless defined($config_long_name);
+$config_long_name =~ s/^\s+//; # trim extra whitespace...
+$config_long_name =~ s/\s+$//;
+$config_long_name =~ s/\s+/ /g;
+# Try to enforce reasonable names:
+ErrorU("-l: invalid (non-ASCII-printable) characters in core long name '$config_long_name'")
+ unless $config_long_name =~ /^[\x20-\x7E]+$/;
+ErrorU("-l: disallowed characters (\"\'\\) in core long name '$config_long_name'")
+ if $config_long_name =~ /[\'\"\\]/;
+ErrorU("-l: core long name too short '$config_long_name'")
+ unless length($config_long_name) >= 5;
+ErrorU("-l: core long name too long '$config_long_name'")
+ unless length($config_long_name) <= 60;
+
+
+#ErrorU("missing -b argument (buildroot source tree directory)")
+# unless defined($buildroot_dir);
+if (defined($buildroot_dir)) {
+ ErrorU("-b: not a directory: $buildroot_dir")
+ unless -d $buildroot_dir;
+ foreach my $p ("toolchain/gcc", "toolchain/binutils", "toolchain/gdb", "target/xtensa") {
+ ErrorU("-b: not a buildroot directory: missing $buildroot_dir/$p")
+ unless -d $buildroot_dir . "/" . $p;
+ }
+}
+
+
+#ErrorU("missing -k argument (Linux kernel source tree directory)")
+# unless defined($kernel_dir);
+if (defined($kernel_dir)) {
+ ErrorU("-k: not a directory: $kernel_dir")
+ unless -d $kernel_dir;
+ foreach my $p ("kernel", "arch/xtensa/kernel", "include/asm-xtensa") {
+ ErrorU("-k: not a Linux kernel directory: missing $kernel_dir/$p")
+ unless -d $kernel_dir . "/" . $p;
+ }
+}
+
+
+if (!defined($buildroot_dir) and !defined($kernel_dir)) {
+ print STDERR "$progname: WARNING:\n";
+ print STDERR "$progname: WARNING: Test run only, NOTHING WILL BE INSTALLED\n";
+ print STDERR "$progname: WARNING: (use -b and -k to specify install destination)\n";
+ print STDERR "$progname: WARNING:\n";
+}
+
+
+my @ovpaths = ( "/src/xtensa-config-overlay.tar.gz",
+ "/xtensa-elf/src/linux/misc/linux-overlay.tar.gz" );
+if (!defined($overlay_tarball)) {
+ # Try to locate the overlay tarball based on XTENSA_SYSTEM and XTENSA_CORE
+ # settings:
+ my $xtensa_root = `xt-xcc --show-config=config 2>/dev/null`;
+ $xtensa_root = "" unless defined($xtensa_root);
+ chomp($xtensa_root);
+ if ($xtensa_root ne "") {
+ ($overlay_tarball) = grep(-f $xtensa_root.$_, @ovpaths);
+ if (!defined($overlay_tarball)) {
+ ErrorU("Xtensa configuration overlay tarball not found: ".$xtensa_root.$ovpaths[0])
+ }
+ } else {
+ ErrorU("missing -t argument (Xtensa configuration overlay tarball filename)\n"
+ ."and no default Xtensa Core Package defined in the environment");
+ }
+} else {
+ foreach my $p ("", @ovpaths) {
+ if (-f $overlay_tarball.$p) {
+ $overlay_tarball .= $p;
+ last;
+ }
+ }
+ ErrorU("-t: file not found: $overlay_tarball") unless -f $overlay_tarball;
+}
+
+
+######################################################################
+#
+# Misc
+#
+
+my $overlay_unpacked = 0;
+my $ovdir;
+
+sub cleanup {
+ if ($overlay_unpacked) {
+ system("rm -rf '$ovdir' 2>/dev/null");
+ }
+}
+
+sub ErrorEmit {
+ my ($msg,$usage) = @_;
+ $msg =~ s|\n|"\n${progname}: ERROR: "|ge;
+ print STDERR "$progname: ERROR: $msg\n";
+ if ($usage) {
+ print "\n";
+ usage();
+ }
+ cleanup();
+ exit 1;
+}
+sub ErrorU { ErrorEmit(shift,1); }
+sub Error { ErrorEmit(shift); }
+
+
+# Read specified file (as binary), returning contents.
+#
+sub readfile {
+ my ($filename) = @_;
+ # Read the file:
+ open(INFILE,"<$filename") or Error("error reading from '$filename': $!");
+ my $savesep = $/;
+ undef $/;
+ my $file = <INFILE>;
+ $/ = $savesep;
+ close(INFILE);
+ $file;
+}
+
+# Write specified file (as binary) with first argument (string).
+#
+sub writefile {
+ my ($filename, $file) = @_;
+ # Read the file:
+ open(INFILE,">$filename") or Error("error writing to '$filename': $!");
+ print INFILE $file;
+ close(INFILE) or Error("error closing file '$filename': $!");
+}
+
+
+######################################################################
+#
+# Determine a temporary directory.
+#
+
+my $tmpdir = "/tmp";
+if (defined($ENV{"TMP"}) and -d $ENV{"TMP"}) {
+ $tmpdir = $ENV{"TMP"};
+} elsif (defined($ENV{"TEMP"}) and -d $ENV{"TEMP"}) {
+ $tmpdir = $ENV{"TEMP"};
+}
+
+
+######################################################################
+#
+# Unpack the general overlay tarball
+#
+
+my $user = defined($ENV{"USER"}) ? $ENV{"USER"} : "xtensa";
+$ovdir = $tmpdir."/tmp-overlay-${user}-$$";
+mkdir $ovdir or Error("cannot create directory $ovdir");
+$overlay_unpacked = 1;
+system("tar xfz '$overlay_tarball' -C '$ovdir'")
+ and Error("tar failed...");
+
+
+######################################################################
+#
+# Define and sanity check contents of overlay
+#
+
+my $oldpack = -f $ovdir."/xtensa-elf/src/linux/misc/core.h";
+my $pf1 = ($oldpack ? "src/" : "");
+my $pf2 = ($oldpack ? "xtensa-elf/src/linux/misc/" : "config/");
+
+my @packages = (
+ ["binutils", "toolchain/binutils",
+ ["${pf1}/binutils/xtensa-modules.c", "bfd/"],
+ ["${pf1}/binutils/xtensa-config.h", "include/"],
+ #["${pf1}/binutils/xtensa-config.sh", "ld/emulparams/"],
+ ],
+ ["gcc", "toolchain/gcc",
+ ["${pf1}/gcc/xtensa-config.h", "include/"],
+ ],
+ ["gdb", "toolchain/gdb",
+ ["${pf1}/gdb/xtensa-modules.c", "bfd/"],
+ ["${pf1}/gdb/xtensa-config.h", "include/"],
+ ["${pf1}/gdb/xtensa-config.c", "gdb/"],
+ ["${pf1}/gdb/xtensa-regmap.c", "gdb/gdbserver/"],
+ ["${pf1}/gdb/xtensa-regmap.c", "gdb/gdbserver/xtensa-xtregs.c"], # for GDB 6.8
+ ["${pf1}/gdb/xtensa-regmap.c", "gdb/xtensa-xtregs.c"], # for GDB 6.8
+ ["${pf1}/gdb/reg-xtensa.dat", "gdb/regformats/"],
+ ],
+ ["kernel", "target/xtensa", # ???
+ ["${pf2}core.h", "include/asm-xtensa/variant-${config_name}/"],
+ ["${pf2}tie.h", "include/asm-xtensa/variant-${config_name}/"],
+ ["${pf2}tie-asm.h", "include/asm-xtensa/variant-${config_name}/"],
+ ],
+);
+
+# Check that all files are present ...
+foreach my $pack (@packages) {
+ my ($pname, $buildroot_subdir, @files) = @$pack;
+ print "Checking files for $pname ...\n";
+ foreach my $f (@files) {
+ my ($src, $dst) = @$f;
+ -f $ovdir."/".$src or Error("missing '$src' in overlay tarball");
+ }
+}
+
+
+######################################################################
+#
+# Extract some useful information
+#
+
+# Extract core name as specified in the build.
+my $coreh = readfile($ovdir."/".$pf2."core.h");
+
+$coreh =~ /^\s*\#\s*define\s+XCHAL_SW_VERSION\s+(\w+)/m;
+my $swversion = $1;
+defined($swversion) or Error("missing XCHAL_SW_VERSION in overlay core.h file;\n"
+ ."overlay is too old, need RB-2008.3 (SW version 7.1.1) or later");
+
+$coreh =~ /^\s*\#\s*define\s+XCHAL_CORE_ID\s+"([^"]+)"/m;
+my $coreid = $1;
+defined($coreid) or Error("missing XCHAL_CORE_ID in overlay core.h file");
+
+$coreh =~ /^\s*\#\s*define\s+XCHAL_HW_VERSION_NAME\s+"([^"]+)"/m;
+my $hwversion = $1;
+defined($hwversion) or Error("missing XCHAL_HW_VERSION_NAME in overlay core.h file");
+
+
+$swvers_human = sprintf("%u.%u.%u",
+ $swversion/100000, (($swversion/1000) % 100), ($swversion % 1000));
+my $release = "software version $swvers_human";
+if (-f $ovdir."/release") {
+ $release = readfile($ovdir."/release");
+ chomp($release);
+}
+
+
+######################################################################
+#
+# Prompt user to be sure this is what he wants to do
+#
+
+# Catch Ctrl-C so we can do a proper cleanup:
+sub catch_term {
+ my $signame = shift;
+ #print STDERR "whoa!\n";
+ cleanup();
+ print STDERR "\n$progname: Cleaned up.\n";
+ exit 3;
+}
+$SIG{TERM} = \&catch_term;
+$SIG{HUP} = \&catch_term;
+$SIG{INT} = \&catch_term;
+
+$| = 1;
+print "\n",
+ "About to generate package-specific overlay tarballs for the following:\n",
+ "\n",
+ " Xtensa processor short name: $config_name\n";
+print " This short name overrides the name specified in the XPG: $coreid\n" if $coreid ne $config_name;
+#print " Please ensure that's the name you want. If submitted to the open source\n",
+# " community, it can be a hassle to change later on.\n";
+print " Xtensa processor description: $config_long_name\n",
+ " Targeting Xtensa HW version: $hwversion\n",
+ " Xtensa configuration overlay: $overlay_tarball\n",
+ " (release of overlay): $release\n",
+ " Destination buildroot dir: ".(defined($buildroot_dir)?$buildroot_dir:"(none, not installed)")."\n",
+ " Destination Linux kernel dir: ".(defined($kernel_dir)?$kernel_dir:"(none, not installed)")."\n",
+ "\n",
+ "Are you sure? (y/n) ";
+if ($prompt) {
+ my $line = <STDIN>;
+ chomp($line);
+ if ($line !~ /^y(es)?$/i) {
+ print "\nInstallation aborted.\n";
+ cleanup();
+ exit 2;
+ }
+} else {
+ print "YES [no prompt]\n";
+}
+print "\n";
+
+
+######################################################################
+#
+# Now generate the tarballs
+#
+
+# Now generate each tarball ...
+foreach my $pack (@packages) {
+ my ($pname, $buildroot_subdir, @files) = @$pack;
+ my $tarname = "${pname}-xtensa_${config_name}.tgz";
+ my $fulltarname;
+ if (defined($buildroot_dir)) {
+ my $tarsubname = $buildroot_subdir . "/" . $tarname;
+ print "Generating and installing $tarsubname ...\n";
+ $fulltarname = $buildroot_dir . "/" . $tarsubname;
+ } else {
+ print "Generating $tarname ...\n";
+ $fulltarname = $ovdir . "/" . $tarname;
+ }
+ if (-e $fulltarname) {
+ if ($force_clobber or !defined($buildroot_dir)) {
+ unlink($fulltarname) or Error("could not delete '$fulltarname': $!");
+ } else {
+ Error("destination tarball already exists: '$fulltarname'");
+ }
+ }
+ my $pdir = $ovdir."/tmp-".$pname;
+ system("rm -fr '${pdir}' 2>/dev/null");
+ mkdir $pdir or Error("cannot create directory $pdir");
+ foreach my $f (@files) {
+ my ($src, $dst) = @$f;
+ # If $dst ends in / , take filename from $src :
+ if ($dst =~ m|/$|) {
+ my $fname = $src;
+ $fname =~ s|^.*/||;
+ $dst .= $fname;
+ }
+ # Ensure destination directory exists:
+ my $dstdir = $pdir;
+ while ($dst =~ s|^([^/]+)/+||) {
+ $dstdir .= "/" . $1;
+ mkdir($dstdir);
+ }
+ # Read file:
+ my $content = readfile($ovdir."/".$src);
+
+ # Adjust contents of file.
+ # Fix-up typo:
+ $content =~ s/XCHAL_SA_(NCP|CP\d+)_/XCHAL_$1_SA_/g;
+ # Update core name info:
+ my $iscore = ($content =~ s/^(\s*\#\s*define\s+XCHAL_CORE_ID\s+)"[^"]+"/$1"$config_name"/mg);
+ $iscore or $content =~ s{^(\s*\#\s*define\s+XCHAL_INST_FETCH_WIDTH\s+\S+\s*(/\*[^\*]*\*/)?\s*$)}
+ {$1\n\#undef XCHAL_CORE_ID\n\#define XCHAL_CORE_ID\t\t\t"$config_name"\n}smg;
+ # Update core description info:
+ $content =~ s/^(\s*\#\s*define\s+XCHAL_CORE_DESCRIPTION\s+)"[^"]+"/$1"$config_long_name"/mg
+ or $content =~ s{^(\s*\#\s*define\s+XCHAL_CORE_ID\s+\S+\s*(/\*[^\*]*\*/)?\s*$)}
+ {"$1\n" . ($iscore ? "" : "\n\#undef XCHAL_CORE_DESCRIPTION\n")
+ . "\#define XCHAL_CORE_DESCRIPTION\t\t\"${config_long_name}\""}smge;
+
+ # Write (possibly modified) file:
+ writefile($dstdir."/".$dst, $content);
+ }
+ my $tarcmd = "tar cfz '${fulltarname}' -C '${pdir}' .";
+ system($tarcmd) and Error("failed executing: $tarcmd");
+
+ # Install Linux kernel overlay:
+ if ($pname eq "kernel" and defined($kernel_dir)) {
+ print "Installing Linux kernel overlay from $tarname ...\n";
+ my $untarcmd = "tar xfz '${fulltarname}' -C '${kernel_dir}' .";
+ system($untarcmd) and Error("failed executing: $tarcmd");
+ }
+ # Possible TODO: update arch/xtensa/{Kconfig,Makefile} to add this config?
+}
+
+
+######################################################################
+#
+# The End
+#
+
+cleanup();
+print "Done.\n";
+exit 0;
+